package cn.kdan.pdf.tech.core.enums;

/**
 * @author tangxiangan
 */

public enum CaptchaActionEnum {
    //超管注册
    USER_REGISTER("0", "注册用户发送验证码", "Verification Code for your Admin Console",
            "<!Doctype html>\n" +
                    "<html>\n" +
                    "\n" +
                    "<head>\n" +
                    "  <title>Verification Code for your PDF Admin Console</title>\n" +
                    "  <meta charset='utf-8' />\n" +
                    "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body style=\"margin: 0; padding: 0;\">\n" +
                    "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"font-family: Arial; margin: 0; padding: 0; background: #F1F5FF;\">\n" +
                    "    <tr>\n" +
                    "      <td>\n" +
                    "        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"600\" style=\"border-collapse: collapse; background-color: #fff; padding: 0 40px;\">\n" +
                    "          <!-- 头部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 40px;\">\n" +
                    "                    <a href=\"https://www.pdfreaderpro.com/\">\n" +
                    "                      <img src=\"emailImagesUrl/static/images/pdfpro/vpp_logo.png\" alt=\"PDF Technologies\" width=\"180\">\n" +
                    "                    </a>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 标题 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 46px;\">\n" +
                    "                    <div style=\"font-size: 20px; line-height: 28px; color: #121E3F; font-family:Rubik;\">\n" +
                    "                      Dear %s,<br/>Welcome to Admin Console.<br/>We greatly appreciate your business.\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 20px; color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px; vertical-align:middle;\">\n" +
                    "                    Regards\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px;\">\n" +
                    "                    <span style=\"padding-bottom: 35px; width: 100%%; display: block;\">PDF Technologies Team</span>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 主体 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding:20px 40px; background: #FAFAFA;\">\n" +
                    "              <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 10px; padding-bottom: 10px;\">\n" +
                    "                    <div style=\"font-weight: bold;font-size: 20px; line-height: 24px; color: #121E3F;\">Verification Code</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"height: 1px; background: #DCDFE9;\"></div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">Please use this verification code to complete your sign-up: </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px; color: orange;\">%s</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">Your account can’t be accessed without this verification code, even if you didn’t submit this request.</td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 列表 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 40px 40px 16px; font-weight: bold; font-size: 20px; line-height: 24px; color: #121E3F;\">\n" +
                    "              Need Any Help? \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                    "              PDF Technologies team provides a <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/help?platform=team-plan\" style=\"color: #3B99FC;\">complete guide</a> to using the Admin Console. \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 底部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px; padding-bottom: 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #F9F9FB;\">\n" +
                    "                <tr>\n" +
                    "                  <td align=\"center\" style=\"padding-top: 17px; text-align: center; font-size: 12px; line-height: 18px; color: #666666;\">\n" +
                    "                    <div>Should you have any problems, go <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\" style=\"color: #3B99FC;\">official website</a>,</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">or email us via <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\" style=\"color: #3B99FC;\">support@pdfreaderpro.com</a>.</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">PDF Reader Pro powered by <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\" style=\"color: #3B99FC;\">ComPDFKit</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">If you don't want to receive this type of emails anymore, please <a target=\"_blank\" href=\"cancelEmailUrl\" style=\"color: #3B99FC;\">unsubscribe</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">2014-2024 PDF Technologies, Inc. All Rights Reserved.</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"text-align: center; padding: 16px 6px 17px;\">\n" +
                    "                      <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_pro.png\" alt=\"PDF Reader Pro\" width=\"36\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_com.png\" alt=\"ComPDFKit\" width=\"36\" style=\"padding-left: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.facebook.com/PDFProApp\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_facebook.png\" alt=\"PDF Technologies Facebook\" width=\"36\" style=\"padding: 0 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://twitter.com/PDFReaderPro\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_twitter.png\" alt=\"PDF Technologies Twitter\" width=\"36\" style=\"padding-right: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_email.png\" alt=\"PDF Technologies Email\" width=\"36\"></a>\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "        </table>\n" +
                    "      </td>\n" +
                    "    </tr>\n" +
                    "  </table>\n" +
                    "</body>\n" +
                    "</html>\n"),

    //忘记密码
    FORGET_PASSWORD("1", "忘记密码", "Reset Your Admin Console Account Password",
            "<!doctype html>\n" +
                    "<html>\n" +
                    "\n" +
                    "<head>\n" +
                    "  <title>Reset Your Admin Console Account Password</title>\n" +
                    "  <meta charset='utf-8' />\n" +
                    "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body style=\"margin: 0; padding: 0;\">\n" +
                    "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"font-family: Arial; margin: 0; padding: 0; background: #F1F5FF;\">\n" +
                    "    <tr>\n" +
                    "      <td>\n" +
                    "        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"600\" style=\"border-collapse: collapse; background-color: #fff; padding: 0 40px;\">\n" +
                    "          <!-- 头部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 40px;\">\n" +
                    "                    <a href=\"https://www.pdfreaderpro.com/\">\n" +
                    "                      <img src=\"emailImagesUrl/static/images/pdfpro/vpp_logo.png\" alt=\"PDF Technologies\" width=\"180\">\n" +
                    "                    </a>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 标题 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 46px;\">\n" +
                    "                    <div style=\"font-size: 20px; line-height: 28px; color: #121E3F; font-family:Rubik;\">\n" +
                    "                      Dear %s,<br/>Welcome to Admin Console. <br/>We greatly appreciate your business.\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 20px; color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px; vertical-align:middle;\">\n" +
                    "                    Regards\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px;\">\n" +
                    "                    <span style=\"padding-bottom: 35px; width: 100%%; display: block;\">PDF Technologies Team</span>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 主体 -->\n" +
                    "          <tr>\n" +
                    "            <td>\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #FAFAFA;padding: 20px;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding: 30px 40px 10px;\">\n" +
                    "                    <div style=\"font-weight: bold;font-size: 20px; line-height: 24px; color: #121E3F;\">Reset Password</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"margin: 0 40px; height: 1px; background: #DCDFE9;\"></div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 16px; padding-left: 40px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">User account:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 8px; padding-left: 40px; font-size: 20px; line-height: 28px; color: #121E3F;\">%s</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 20px; padding-left: 40px; font-size: 16px; line-height: 18.4px; color: #747D98;\">Password:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 8px; padding-left: 40px; padding-bottom: 20px; font-size: 20px; line-height: 28px; color: #121E3F;\">%s</td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 列表 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 20px;\"></td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                    "              Due to security reasons, please change or reset your password after finishing logging in.\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td>\n" +
                    "              <div style=\"margin: 0 40px; height: 1px; background: #DCDFE9;\"></div>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 40px 40px 16px; font-weight: bold; font-size: 20px; line-height: 24px; color: #121E3F;\">\n" +
                    "              Need Any Help? \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                    "              PDF Technologies Team provides a <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/help?platform=team-plan\" style=\"color: #3B99FC;\">complete guide</a> to using the Admin Console. \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 底部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px; padding-bottom: 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #F9F9FB;\">\n" +
                    "                <tr>\n" +
                    "                  <td align=\"center\" style=\"padding-top: 17px; text-align: center; font-size: 12px; line-height: 18px; color: #666666;\">\n" +
                    "                    <div>Should you have any problems, go <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\" style=\"color: #3B99FC;\">official website</a>,</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">or email us via <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\" style=\"color: #3B99FC;\">support@pdfreaderpro.com</a>.</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">PDF Reader Pro powered by <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\" style=\"color: #3B99FC;\">ComPDFKit</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">If you don't want to receive this type of emails anymore, please <a target=\"_blank\" href=\"cancelEmailUrl\" style=\"color: #3B99FC;\">unsubscribe</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">2014-2024 PDF Technologies, Inc. All Rights Reserved.</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"text-align: center; padding: 16px 6px 17px;\">\n" +
                    "                      <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_pro.png\" alt=\"PDF Reader Pro\" width=\"36\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_com.png\" alt=\"ComPDFKit\" width=\"36\" style=\"padding-left: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.facebook.com/PDFProApp\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_facebook.png\" alt=\"PDF Technologies Facebook\" width=\"36\" style=\"padding: 0 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://twitter.com/PDFReaderPro\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_twitter.png\" alt=\"PDF Technologies Twitter\" width=\"36\" style=\"padding-right: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_email.png\" alt=\"PDF Technologies Email\" width=\"36\"></a>\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "        </table>\n" +
                    "      </td>\n" +
                    "    </tr>\n" +
                    "  </table>\n" +
                    "</body>\n" +
                    "\n" +
                    "</html>\n"),

   //用户邮箱 公司名 链接 邀请管理员加入团队 管理员未注册
    USER_REGISTER_FOR_ADD_ADMIN("2", "注册用户", "You are added as an administrator of the Admin Console",
           "<!doctype html>\n" +
                   "<html>\n" +
                   "\n" +
                   "<head>\n" +
                   "  <title>You are added as an administrator of the Admin Console</title>\n" +
                   "  <meta charset='utf-8' />\n" +
                   "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no\">\n" +
                   "</head>\n" +
                   "\n" +
                   "<body style=\"margin: 0; padding: 0;\">\n" +
                   "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"font-family: Arial; margin: 0; padding: 0; background: #F1F5FF;\">\n" +
                   "    <tr>\n" +
                   "      <td>\n" +
                   "        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"600\" style=\"border-collapse: collapse; background-color: #fff; padding: 0 40px;\">\n" +
                   "          <!-- 头部 -->\n" +
                   "          <tr>\n" +
                   "            <td style=\"padding: 0 40px;\">\n" +
                   "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                   "                <tr>\n" +
                   "                  <td style=\"padding-top: 40px;\">\n" +
                   "                    <a href=\"https://www.pdfreaderpro.com/\">\n" +
                   "                      <img src=\"emailImagesUrl/static/images/pdfpro/vpp_logo.png\" alt=\"PDF Technologies\" width=\"180\">\n" +
                   "                    </a>\n" +
                   "                  </td>\n" +
                   "                </tr>\n" +
                   "              </table>\n" +
                   "            </td>\n" +
                   "          </tr>\n" +
                   "          <!-- 标题 -->\n" +
                   "          <tr>\n" +
                   "            <td style=\"padding: 0 40px;\">\n" +
                   "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                   "                <tr>\n" +
                   "                  <td style=\"padding-top: 46px;\">\n" +
                   "                    <div style=\"font-size: 20px; line-height: 28px; color: #121E3F; font-family:Rubik;\">\n" +
                   "                      Dear %s,<br/>Welcome to Admin Console.<br/>We greatly appreciate your business.\n" +
                   "                    </div>\n" +
                   "                  </td>\n" +
                   "                </tr>\n" +
                   "                <tr>\n" +
                   "                  <td style=\"padding-top: 20px; color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px; vertical-align:middle;\">\n" +
                   "                    Regards\n" +
                   "                  </td>\n" +
                   "                </tr>\n" +
                   "                <tr>\n" +
                   "                  <td style=\"color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px;\">\n" +
                   "                    <span style=\"padding-bottom: 35px; width: 100%%; display: block;\">PDF Technologies Team</span>\n" +
                   "                  </td>\n" +
                   "                </tr>\n" +
                   "              </table>\n" +
                   "            </td>\n" +
                   "          </tr>\n" +
                   "          <!-- 主体 -->\n" +
                   "          <tr>\n" +
                   "            <td style=\"padding:20px 40px; background: #FAFAFA;\">\n" +
                   "              <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                   "                <tr>\n" +
                   "                  <td style=\"padding-top: 10px; padding-bottom: 10px;\">\n" +
                   "                    <div style=\"font-weight: bold;font-size: 20px; line-height: 24px; color: #121E3F;\">Team Admin Invitation</div>\n" +
                   "                  </td>\n" +
                   "                </tr>\n" +
                   "                <tr>\n" +
                   "                  <td>\n" +
                   "                    <div style=\"height: 1px; background: #DCDFE9;\"></div>\n" +
                   "                  </td>\n" +
                   "                </tr>\n" +
                   "                <tr>\n" +
                   "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">You have been invited to be a Team Admin of %s.</td>\n" +
                   "                </tr>\n" +
                   "                <tr>\n" +
                   "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\"><a target=\"_blank\" href=\"%s\" style=\"color: #3B99FC;\">Click HERE</a> to join Admin Console. (The link expires in 72 hours)</td>\n" +
                   "                </tr>\n" +
                   "                <tr>\n" +
                   "                  <td style=\"padding-top: 16px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">Account:</td>\n" +
                   "                </tr>\n" +
                   "                <tr>\n" +
                   "                  <td style=\"padding-top: 8px; font-size: 20px; line-height: 28px; color: #121E3F;\">%s</td>\n" +
                   "                </tr>\n" +
                   "                <tr>\n" +
                   "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">As a Team Admin, you have the right to remove or add team members, as well as assign license codes within the team.</td>\n" +
                   "                </tr>\n" +
                   "              </table>\n" +
                   "            </td>\n" +
                   "          </tr>\n" +
                   "          <!-- 列表 -->\n" +
                   "          <tr>\n" +
                   "            <td style=\"font-family: Rubik; padding: 40px 40px 16px; font-weight: bold; font-size: 20px; line-height: 24px; color: #121E3F;\">\n" +
                   "              Need Any Help? \n" +
                   "            </td>\n" +
                   "          </tr>\n" +
                   "          <tr>\n" +
                   "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                   "              PDF Technologies Team provides a <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/help?platform=team-plan\" style=\"color: #3B99FC;\">complete guide</a> to using the Admin Console. \n" +
                   "            </td>\n" +
                   "          </tr>\n" +
                   "          <!-- 底部 -->\n" +
                   "          <tr>\n" +
                   "            <td style=\"padding: 0 40px; padding-bottom: 40px;\">\n" +
                   "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #F9F9FB;\">\n" +
                   "                <tr>\n" +
                   "                  <td align=\"center\" style=\"padding-top: 17px; text-align: center; font-size: 12px; line-height: 18px; color: #666666;\">\n" +
                   "                    <div>Should you have any problems, go <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\" style=\"color: #3B99FC;\">official website</a>,</div>\n" +
                   "                    <div style=\"margin-top: 5px;\">or email us via <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\" style=\"color: #3B99FC;\">support@pdfreaderpro.com</a>.</div>\n" +
                   "                    <div style=\"margin-top: 5px;\">PDF Reader Pro powered by <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\" style=\"color: #3B99FC;\">ComPDFKit</a></div>\n" +
                   "                    <div style=\"margin-top: 5px;\">If you don't want to receive this type of emails anymore, please <a target=\"_blank\" href=\"cancelEmailUrl\" style=\"color: #3B99FC;\">unsubscribe</a></div>\n" +
                   "                    <div style=\"margin-top: 5px;\">2014-2024 PDF Technologies, Inc. All Rights Reserved.</div>\n" +
                   "                  </td>\n" +
                   "                </tr>\n" +
                   "                <tr>\n" +
                   "                  <td>\n" +
                   "                    <div style=\"text-align: center; padding: 16px 6px 17px;\">\n" +
                   "                      <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_pro.png\" alt=\"PDF Reader Pro\" width=\"36\"></a>\n" +
                   "                      <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_com.png\" alt=\"ComPDFKit\" width=\"36\" style=\"padding-left: 26px;\"></a>\n" +
                   "                      <a target=\"_blank\" href=\"https://www.facebook.com/PDFProApp\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_facebook.png\" alt=\"PDF Technologies Facebook\" width=\"36\" style=\"padding: 0 26px;\"></a>\n" +
                   "                      <a target=\"_blank\" href=\"https://twitter.com/PDFReaderPro\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_twitter.png\" alt=\"PDF Technologies Twitter\" width=\"36\" style=\"padding-right: 26px;\"></a>\n" +
                   "                      <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_email.png\" alt=\"PDF Technologies Email\" width=\"36\"></a>\n" +
                   "                    </div>\n" +
                   "                  </td>\n" +
                   "                </tr>\n" +
                   "              </table>\n" +
                   "            </td>\n" +
                   "          </tr>\n" +
                   "        </table>\n" +
                   "      </td>\n" +
                   "    </tr>\n" +
                   "  </table>\n" +
                   "</body>\n" +
                   "</html>\n"),

    //邀请管理员加入团队 管理员已经注册 邮箱 团队名 超管邮箱 登录地址
    JOIN_TEAM_FOR_ADD_ADMIN("3", "团队邀请", "You are added as an administrator of the Admin Console",
            "<!doctype html>\n" +
                    "<html>\n" +
                    "\n" +
                    "<head>\n" +
                    "  <title>You are added as an administrator of the Admin Console</title>\n" +
                    "  <meta charset='utf-8' />\n" +
                    "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body style=\"margin: 0; padding: 0;\">\n" +
                    "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"font-family: Arial; margin: 0; padding: 0; background: #F1F5FF;\">\n" +
                    "    <tr>\n" +
                    "      <td>\n" +
                    "        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"600\" style=\"border-collapse: collapse; background-color: #fff; padding: 0 40px;\">\n" +
                    "          <!-- 头部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 40px;\">\n" +
                    "                    <a href=\"https://www.pdfreaderpro.com/\">\n" +
                    "                      <img src=\"emailImagesUrl/static/images/pdfpro/vpp_logo.png\" alt=\"PDF Technologies\" width=\"180\">\n" +
                    "                    </a>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 标题 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 46px;\">\n" +
                    "                    <div style=\"font-size: 20px; line-height: 28px; color: #121E3F; font-family:Rubik;\">\n" +
                    "                      Dear %s,<br/>Welcome to Admin Console.<br/>We greatly appreciate your business.\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 20px; color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px; vertical-align:middle;\">\n" +
                    "                    Regards\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px;\">\n" +
                    "                    <span style=\"padding-bottom: 35px; width: 100%%; display: block;\">PDF Technologies Team</span>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 主体 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding:20px 40px; background: #FAFAFA;\">\n" +
                    "              <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 10px; padding-bottom: 10px;\">\n" +
                    "                    <div style=\"font-weight: bold;font-size: 20px; line-height: 24px; color: #121E3F;\">Team Admin Invitation</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"height: 1px; background: #DCDFE9;\"></div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">You're been invited to be a Team Admin of %s.</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\"><a target=\"_blank\" href=\"%s\" style=\"color: #3B99FC;\">Click HERE</a> to sign in to Admin Console.</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">As a Team Admin, you have the right to remove or add team members, as well as assign license codes within the team.</td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 列表 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 40px 40px 16px; font-weight: bold; font-size: 20px; line-height: 24px; color: #121E3F;\">\n" +
                    "              Need Any Help? \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                    "              PDF Technologies Team provides a <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/help?platform=team-plan\" style=\"color: #3B99FC;\">complete guide</a> to using the Admin Console. \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 底部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px; padding-bottom: 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #F9F9FB;\">\n" +
                    "                <tr>\n" +
                    "                  <td align=\"center\" style=\"padding-top: 17px; text-align: center; font-size: 12px; line-height: 18px; color: #666666;\">\n" +
                    "                    <div>Should you have any problems, go <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\" style=\"color: #3B99FC;\">official website</a>,</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">or email us via <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\" style=\"color: #3B99FC;\">support@pdfreaderpro.com</a>.</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">PDF Reader Pro powered by <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\" style=\"color: #3B99FC;\">ComPDFKit</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">If you don't want to receive this type of emails anymore, please <a target=\"_blank\" href=\"cancelEmailUrl\" style=\"color: #3B99FC;\">unsubscribe</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">2014-2024 PDF Technologies, Inc. All Rights Reserved.</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"text-align: center; padding: 16px 6px 17px;\">\n" +
                    "                      <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_pro.png\" alt=\"PDF Reader Pro\" width=\"36\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_com.png\" alt=\"ComPDFKit\" width=\"36\" style=\"padding-left: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.facebook.com/PDFProApp\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_facebook.png\" alt=\"PDF Technologies Facebook\" width=\"36\" style=\"padding: 0 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://twitter.com/PDFReaderPro\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_twitter.png\" alt=\"PDF Technologies Twitter\" width=\"36\" style=\"padding-right: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_email.png\" alt=\"PDF Technologies Email\" width=\"36\"></a>\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "        </table>\n" +
                    "      </td>\n" +
                    "    </tr>\n" +
                    "  </table>\n" +
                    "</body>\n" +
                    "\n" +
                    "</html>\n"),

    //邀请管理员加入团队 管理员已经注册但是没有密码
    // 用户名，组织名，用户邮箱，密码，登录链接
    JOIN_TEAM_FOR_ADD_ADMIN_NO_PASSWORD("7", "团队邀请", "You are added as an administrator of the Admin Console",
            "<!doctype html>\n" +
                    "<html>\n" +
                    "\n" +
                    "<head>\n" +
                    "  <title>You are added as an administrator of the Admin Console</title>\n" +
                    "  <meta charset='utf-8' />\n" +
                    "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body style=\"margin: 0; padding: 0;\">\n" +
                    "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"font-family: Arial; margin: 0; padding: 0; background: #F1F5FF;\">\n" +
                    "    <tr>\n" +
                    "      <td>\n" +
                    "        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"600\" style=\"border-collapse: collapse; background-color: #fff; padding: 0 40px;\">\n" +
                    "          <!-- 头部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 40px;\">\n" +
                    "                    <a href=\"https://www.pdfreaderpro.com/\">\n" +
                    "                      <img src=\"emailImagesUrl/static/images/pdfpro/vpp_logo.png\" alt=\"PDF Technologies\" width=\"180\">\n" +
                    "                    </a>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 标题 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 46px;\">\n" +
                    "                    <div style=\"font-size: 20px; line-height: 28px; color: #121E3F; font-family:Rubik;\">\n" +
                    "                      Dear %s,<br/>Welcome to Admin Console.<br/>We greatly appreciate your business.\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 20px; color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px; vertical-align:middle;\">\n" +
                    "                    Regards\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px;\">\n" +
                    "                    <span style=\"padding-bottom: 35px; width: 100%%; display: block;\">PDF Technologies Team</span>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 主体 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding:20px 40px; background: #FAFAFA;\">\n" +
                    "              <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 10px; padding-bottom: 10px;\">\n" +
                    "                    <div style=\"font-weight: bold;font-size: 20px; line-height: 24px; color: #121E3F;\">Team Admin Invitation</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"height: 1px; background: #DCDFE9;\"></div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">You are now a Team Admin of %s</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">Please use the below password to log in to Admin Console.</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 16px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">Username:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 8px; font-size: 20px; line-height: 28px; color: #121E3F;\">%s</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 16px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">Password:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 8px; font-size: 20px; line-height: 28px; color: #121E3F;\">%s</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 16px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">Login Link:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 8px; font-size: 20px; line-height: 28px; color: #121E3F;\"><a target=\"_blank\" href=\"%s\" style=\"color: #3B99FC;\">Click HERE</a></td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">Due to security reasons, please change or reset your password after finishing logging in.</td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 列表 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 40px 40px 16px; font-weight: bold; font-size: 20px; line-height: 24px; color: #121E3F;\">\n" +
                    "              Need Any Help? \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                    "              PDF Technologies Team provides a <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/help?platform=team-plan\" style=\"color: #3B99FC;\">complete guide</a> to using the Admin Console. \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 底部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px; padding-bottom: 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #F9F9FB;\">\n" +
                    "                <tr>\n" +
                    "                  <td align=\"center\" style=\"padding-top: 17px; text-align: center; font-size: 12px; line-height: 18px; color: #666666;\">\n" +
                    "                    <div>Should you have any problems, go <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\" style=\"color: #3B99FC;\">official website</a>,</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">or email us via <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\" style=\"color: #3B99FC;\">support@pdfreaderpro.com</a>.</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">PDF Reader Pro powered by <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\" style=\"color: #3B99FC;\">ComPDFKit</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">If you don't want to receive this type of emails anymore, please <a target=\"_blank\" href=\"cancelEmailUrl\" style=\"color: #3B99FC;\">unsubscribe</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">2014-2024 PDF Technologies, Inc. All Rights Reserved.</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"text-align: center; padding: 16px 6px 17px;\">\n" +
                    "                      <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_pro.png\" alt=\"PDF Reader Pro\" width=\"36\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_com.png\" alt=\"ComPDFKit\" width=\"36\" style=\"padding-left: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.facebook.com/PDFProApp\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_facebook.png\" alt=\"PDF Technologies Facebook\" width=\"36\" style=\"padding: 0 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://twitter.com/PDFReaderPro\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_twitter.png\" alt=\"PDF Technologies Twitter\" width=\"36\" style=\"padding-right: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_email.png\" alt=\"PDF Technologies Email\" width=\"36\"></a>\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "        </table>\n" +
                    "      </td>\n" +
                    "    </tr>\n" +
                    "  </table>\n" +
                    "</body>\n" +
                    "</html>\n"),

    //邀请普通用户加入团队
    JOIN_TEAM_FOR_MEMBER("4", "团队邀请", "%s has invited you to join your team for Admin Console",
            "<!doctype html>\n" +
                    "<html>\n" +
                    "\n" +
                    "<head>\n" +
                    "  <title>Your organization's administrator unbind your device</title>\n" +
                    "  <meta charset='utf-8' />\n" +
                    "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body style=\"margin: 0; padding: 0;\">\n" +
                    "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"font-family: Arial; margin: 0; padding: 0; background: #F1F5FF;\">\n" +
                    "    <tr>\n" +
                    "      <td>\n" +
                    "        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"600\" style=\"border-collapse: collapse; background-color: #fff; padding: 0 40px;\">\n" +
                    "          <!-- 头部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 40px;\">\n" +
                    "                    <a href=\"https://www.pdfreaderpro.com/\">\n" +
                    "                      <img src=\"emailImagesUrl/static/images/pdfpro/vpp_logo.png\" alt=\"PDF Technologies\" width=\"180\">\n" +
                    "                    </a>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 标题 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 46px;\">\n" +
                    "                    <div style=\"font-size: 20px; line-height: 28px; color: #121E3F; font-family:Rubik;\">\n" +
                    "                      Dear %s,<br/>The admin of %s and your team are waiting for you to join your team to access Admin Console.\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 20px; color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px; vertical-align:middle;\">\n" +
                    "                    Regards\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px;\">\n" +
                    "                    <span style=\"padding-bottom: 35px; width: 100%%; display: block;\">PDF Technologies Team</span>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 主体 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding:20px 40px; background: #FAFAFA;\">\n" +
                    "              <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 10px; padding-bottom: 10px;\">\n" +
                    "                    <div style=\"font-weight: bold;font-size: 20px; line-height: 24px; color: #121E3F;\">Join Team Invitation</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"height: 1px; background: #DCDFE9;\"></div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">%s are inviting you to join your team.</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\"><a target=\"_blank\" href=\"%s\" style=\"color: #3B99FC;\">Click HERE</a> to join now! (The link expires in <span style=\"color: red;\">72 hours</span>)</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">After joining the team, please wait for the administrator to assign you a license or actively contact your enterprise administrator to assign you a license.</td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 列表 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 20px;\"></td>\n" +
                    "          </tr>\n" +
                    "          <!-- 底部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px; padding-bottom: 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #F9F9FB;\">\n" +
                    "                <tr>\n" +
                    "                  <td align=\"center\" style=\"padding-top: 17px; text-align: center; font-size: 12px; line-height: 18px; color: #666666;\">\n" +
                    "                    <div>Should you have any problems, go <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\" style=\"color: #3B99FC;\">official website</a>,</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">or email us via <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\" style=\"color: #3B99FC;\">support@pdfreaderpro.com</a>.</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">PDF Reader Pro powered by <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\" style=\"color: #3B99FC;\">ComPDFKit</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">If you don't want to receive this type of emails anymore, please <a target=\"_blank\" href=\"cancelEmailUrl\" style=\"color: #3B99FC;\">unsubscribe</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">2014-2024 PDF Technologies, Inc. All Rights Reserved.</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"text-align: center; padding: 16px 6px 17px;\">\n" +
                    "                      <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_pro.png\" alt=\"PDF Reader Pro\" width=\"36\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_com.png\" alt=\"ComPDFKit\" width=\"36\" style=\"padding-left: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.facebook.com/PDFProApp\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_facebook.png\" alt=\"PDF Technologies Facebook\" width=\"36\" style=\"padding: 0 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://twitter.com/PDFReaderPro\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_twitter.png\" alt=\"PDF Technologies Twitter\" width=\"36\" style=\"padding-right: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_email.png\" alt=\"PDF Technologies Email\" width=\"36\"></a>\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "        </table>\n" +
                    "      </td>\n" +
                    "    </tr>\n" +
                    "  </table>\n" +
                    "</body>\n" +
                    "</html>\n"),

    //取消设备授权 被授权邮箱 设备型号 产品名称 产品名称  设备型号 超管邮箱
    CANCEL_DEVICE_ASSIGN("6", "取消设备授权通知", "Your organization's administrator unbind your device",
            "<!doctype html>\n" +
                    "<html>\n" +
                    "\n" +
                    "<head>\n" +
                    "  <title>Your organization's administrator unbind your device</title>\n" +
                    "  <meta charset='utf-8' />\n" +
                    "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body style=\"margin: 0; padding: 0;\">\n" +
                    "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"font-family: Arial; margin: 0; padding: 0; background: #F1F5FF;\">\n" +
                    "    <tr>\n" +
                    "      <td>\n" +
                    "        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"600\" style=\"border-collapse: collapse; background-color: #fff; padding: 0 40px;\">\n" +
                    "          <!-- 头部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 40px;\">\n" +
                    "                    <a href=\"https://www.pdfreaderpro.com/\">\n" +
                    "                      <img src=\"emailImagesUrl/static/images/pdfpro/vpp_logo.png\" alt=\"PDF Technologies\" width=\"180\">\n" +
                    "                    </a>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 标题 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 46px;\">\n" +
                    "                    <div style=\"font-size: 20px; line-height: 28px; color: #121E3F; font-family:Rubik;\">\n" +
                    "                      Dear %s,<br/>The Admin Console has received requests from administrator.\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 20px; color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px; vertical-align:middle;\">\n" +
                    "                    Regards\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px;\">\n" +
                    "                    <span style=\"padding-bottom: 35px; width: 100%%; display: block;\">PDF Technologies Team</span>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 主体 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding:20px 40px; background: #FAFAFA;\">\n" +
                    "              <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 10px; padding-bottom: 10px;\">\n" +
                    "                    <div style=\"font-weight: bold;font-size: 20px; line-height: 24px; color: #121E3F;\">Unbind Device Successfully</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"height: 1px; background: #DCDFE9;\"></div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">Your device %s for %s has been unbound by your organization's administrator. %s will be automatically unbound with device %s.</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 16px;\">Now you can activate your license on another device.</td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 列表 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 40px 40px 16px; font-weight: bold; font-size: 20px; line-height: 24px; color: #121E3F;\">\n" +
                    "              Need Any Help? \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    " %s " +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                    "              PDF Technologies Team provides a <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/help\" style=\"color: #3B99FC;\">complete guide</a> to using PDF Reader Pro / LynxPDF Editor.\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 底部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px; padding-bottom: 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #F9F9FB;\">\n" +
                    "                <tr>\n" +
                    "                  <td align=\"center\" style=\"padding-top: 17px; text-align: center; font-size: 12px; line-height: 18px; color: #666666;\">\n" +
                    "                    <div>Should you have any problems, go <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\" style=\"color: #3B99FC;\">official website</a>,</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">or email us via <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\" style=\"color: #3B99FC;\">support@pdfreaderpro.com</a>.</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">PDF Reader Pro powered by <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\" style=\"color: #3B99FC;\">ComPDFKit</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">If you don't want to receive this type of emails anymore, please <a target=\"_blank\" href=\"cancelEmailUrl\" style=\"color: #3B99FC;\">unsubscribe</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">2014-2024 PDF Technologies, Inc. All Rights Reserved.</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"text-align: center; padding: 16px 6px 17px;\">\n" +
                    "                      <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_pro.png\" alt=\"PDF Reader Pro\" width=\"36\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_com.png\" alt=\"ComPDFKit\" width=\"36\" style=\"padding-left: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.facebook.com/PDFProApp\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_facebook.png\" alt=\"PDF Technologies Facebook\" width=\"36\" style=\"padding: 0 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://twitter.com/PDFReaderPro\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_twitter.png\" alt=\"PDF Technologies Twitter\" width=\"36\" style=\"padding-right: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_email.png\" alt=\"PDF Technologies Email\" width=\"36\"></a>\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "        </table>\n" +
                    "      </td>\n" +
                    "    </tr>\n" +
                    "  </table>\n" +
                    "</body>\n" +
                    "</html>\n"),

    ASSIGN_LICENSE_CODE("5", "账号被授权", "Your organization's administrator has updated your licenses",
            "<!doctype html>\n" +
                    "<html>\n" +
                    "\n" +
                    "<head>\n" +
                    "  <title>Your organization's administrator has updated your licenses</title>\n" +
                    "  <meta charset='utf-8' />\n" +
                    "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body style=\"margin: 0; padding: 0;\">\n" +
                    "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"font-family: Arial; margin: 0; padding: 0; background: #F1F5FF;\">\n" +
                    "    <tr>\n" +
                    "      <td>\n" +
                    "        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"600\" style=\"border-collapse: collapse; background-color: #fff; padding: 0 40px;\">\n" +
                    "          <!-- 头部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 40px;\">\n" +
                    "                    <a href=\"https://www.pdfreaderpro.com/\">\n" +
                    "                      <img src=\"emailImagesUrl/static/images/pdfpro/vpp_logo.png\" alt=\"PDF Technologies\" width=\"180\">\n" +
                    "                    </a>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 标题 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 46px;\">\n" +
                    "                    <div style=\"font-size: 20px; line-height: 28px; color: #121E3F; font-family:Rubik;\">\n" +
                    "                      Dear %s,<br/>The Admin Console has received requests from administrator.\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 20px; color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px; vertical-align:middle;\">\n" +
                    "                    Regards\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px;\">\n" +
                    "                    <span style=\"padding-bottom: 35px; width: 100%%; display: block;\">PDF Technologies Team</span>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding:20px 40px; background: #FAFAFA;\">\n" +
                    "              <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 10px; padding-bottom: 10px;\">\n" +
                    "                    <div style=\"font-weight: bold;font-size: 20px; line-height: 24px; color: #121E3F;\">Enjoy Our Product</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"height: 1px; background: #DCDFE9;\"></div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">Your PDF Technologies licenses have been updated by your organization's administrator.</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 16px;\">Currently, you have licenses for the product(s) below:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 16px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">Product:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 8px; font-size: 20px; line-height: 28px; color: #121E3F;\">%s</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 16px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">License Code:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 8px; font-size: 20px; line-height: 28px; color: #121E3F;\">%s</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 16px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">Download Software:</td>\n" +
                    "                </tr>\n" +
                    " %s " +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 列表 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 20px;\"></td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                    "              If you have any questions, please contact your organization's administrator \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td>\n" +
                    "              <div style=\"margin: 0 40px; height: 1px; background: #DCDFE9;\"></div>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 40px 40px 16px; font-weight: bold; font-size: 20px; line-height: 24px; color: #121E3F;\">\n" +
                    "              Need Any Help? \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    " %s " +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                    "              PDF Technologies Team provides a <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/help\" style=\"color: #3B99FC;\">complete guide</a> to using PDF Reader Pro / LynxPDF Editor. \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 底部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px; padding-bottom: 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #F9F9FB;\">\n" +
                    "                <tr>\n" +
                    "                  <td align=\"center\" style=\"padding-top: 17px; text-align: center; font-size: 12px; line-height: 18px; color: #666666;\">\n" +
                    "                    <div>Should you have any problems, go <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\" style=\"color: #3B99FC;\">official website</a>,</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">or email us via <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\" style=\"color: #3B99FC;\">support@pdfreaderpro.com</a>.</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">PDF Reader Pro powered by <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\" style=\"color: #3B99FC;\">ComPDFKit</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">If you don't want to receive this type of emails anymore, please <a target=\"_blank\" href=\"cancelEmailUrl\" style=\"color: #3B99FC;\">unsubscribe</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">2014-2024 PDF Technologies, Inc. All Rights Reserved.</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"text-align: center; padding: 16px 6px 17px;\">\n" +
                    "                      <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_pro.png\" alt=\"PDF Reader Pro\" width=\"36\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_com.png\" alt=\"ComPDFKit\" width=\"36\" style=\"padding-left: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.facebook.com/PDFProApp\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_facebook.png\" alt=\"PDF Technologies Facebook\" width=\"36\" style=\"padding: 0 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://twitter.com/PDFReaderPro\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_twitter.png\" alt=\"PDF Technologies Twitter\" width=\"36\" style=\"padding-right: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_email.png\" alt=\"PDF Technologies Email\" width=\"36\"></a>\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "        </table>\n" +
                    "      </td>\n" +
                    "    </tr>\n" +
                    "  </table>\n" +
                    "</body>\n" +
                    "\n" +
                    "</html>\n"),
    ASSIGN_LICENSE_CODE_TECH("5", "账号被授权", "Your organization's administrator has updated your LynxPDF Editor licenses",
            "<!doctype html>\n" +
                    "<html>\n" +
                    "\n" +
                    "<head>\n" +
                    "  <title>Your organization's administrator has updated your LynxPDF Editor licenses</title>\n" +
                    "  <meta charset='utf-8' />\n" +
                    "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body style=\"margin: 0; padding: 0;\">\n" +
                    "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"font-family: Arial; margin: 0; padding: 0; background: #F1F5FF;\">\n" +
                    "    <tr>\n" +
                    "      <td>\n" +
                    "        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"600\" style=\"border-collapse: collapse; background-color: #fff; padding: 0 40px;\">\n" +
                    "          <!-- 头部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 40px;\">\n" +
                    "                    <a href=\"https://www.pdfreaderpro.com/\">\n" +
                    "                      <img src=\"emailImagesUrl/static/images/pdfpro/vpp_logo.png\" alt=\"PDF Technologies\" width=\"180\">\n" +
                    "                    </a>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 标题 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 46px;\">\n" +
                    "                    <div style=\"font-size: 20px; line-height: 28px; color: #121E3F; font-family:Rubik;\">\n" +
                    "                      Dear %s,<br/>The Admin Console has received requests from administrator.\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 20px; color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px; vertical-align:middle;\">\n" +
                    "                    Regards\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px;\">\n" +
                    "                    <span style=\"padding-bottom: 35px; width: 100%%; display: block;\">PDF Technologies Team</span>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding:20px 40px; background: #FAFAFA;\">\n" +
                    "              <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 10px; padding-bottom: 10px;\">\n" +
                    "                    <div style=\"font-weight: bold;font-size: 20px; line-height: 24px; color: #121E3F;\">Enjoy LynxPDF Editor</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"height: 1px; background: #DCDFE9;\"></div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">Your PDF Technologies licenses have been updated by your organization's administrator.</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 16px;\">Currently, you have licenses for the product(s) below:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 16px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">Product:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 8px; font-size: 20px; line-height: 28px; color: #121E3F;\">%s</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 16px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">License Code:</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 8px; font-size: 20px; line-height: 28px; color: #121E3F;\">%s</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 16px; font-weight: bold; font-size: 16px; line-height: 18.4px; color: #747D98;\">Download Software:</td>\n" +
                    "                </tr>\n" +
                    " %s " +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 列表 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 20px;\"></td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                    "              If you have any questions, please contact your organization's administrator \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td>\n" +
                    "              <div style=\"margin: 0 40px; height: 1px; background: #DCDFE9;\"></div>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 40px 40px 16px; font-weight: bold; font-size: 20px; line-height: 24px; color: #121E3F;\">\n" +
                    "              Need Any Help? \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    " %s " +
                    "          <tr>\n" +
                    "            <td style=\"font-family: Rubik; padding: 0 40px 40px; font-size: 16px; line-height: 19px; color: #121E3F;\">\n" +
                    "              PDF Technologies Team provides a <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/help\" style=\"color: #3B99FC;\">complete guide</a> to using PDF Reader Pro / LynxPDF Editor. \n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 底部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px; padding-bottom: 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #F9F9FB;\">\n" +
                    "                <tr>\n" +
                    "                  <td align=\"center\" style=\"padding-top: 17px; text-align: center; font-size: 12px; line-height: 18px; color: #666666;\">\n" +
                    "                    <div>Should you have any problems, go <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\" style=\"color: #3B99FC;\">official website</a>,</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">or email us via <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\" style=\"color: #3B99FC;\">support@pdfreaderpro.com</a>.</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">PDF Reader Pro powered by <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\" style=\"color: #3B99FC;\">ComPDFKit</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">If you don't want to receive this type of emails anymore, please <a target=\"_blank\" href=\"cancelEmailUrl\" style=\"color: #3B99FC;\">unsubscribe</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">2014-2024 PDF Technologies, Inc. All Rights Reserved.</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"text-align: center; padding: 16px 6px 17px;\">\n" +
                    "                      <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_pro.png\" alt=\"PDF Reader Pro\" width=\"36\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_com.png\" alt=\"ComPDFKit\" width=\"36\" style=\"padding-left: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.facebook.com/PDFProApp\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_facebook.png\" alt=\"PDF Technologies Facebook\" width=\"36\" style=\"padding: 0 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://twitter.com/PDFReaderPro\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_twitter.png\" alt=\"PDF Technologies Twitter\" width=\"36\" style=\"padding-right: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_email.png\" alt=\"PDF Technologies Email\" width=\"36\"></a>\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "        </table>\n" +
                    "      </td>\n" +
                    "    </tr>\n" +
                    "  </table>\n" +
                    "</body>\n" +
                    "\n" +
                    "</html>\n"),
    //取消序列码授权（被授权邮箱，产品名称，产品名称，管理员邮箱）
    CANCEL_LICENSE_ASSIGN("7", "取消序列码授权通知", "Your organization's administrator has revoked your licenses",
            "<!doctype html>\n" +
                    "<html>\n" +
                    "\n" +
                    "<head>\n" +
                    "  <title>Your organization administrator has updated your licenses</title>\n" +
                    "  <meta charset='utf-8' />\n" +
                    "  <meta name=\"viewport\" content=\"width=device-width,initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no\">\n" +
                    "</head>\n" +
                    "\n" +
                    "<body style=\"margin: 0; padding: 0;\">\n" +
                    "  <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"font-family: Arial; margin: 0; padding: 0; background: #F1F5FF;\">\n" +
                    "    <tr>\n" +
                    "      <td>\n" +
                    "        <table align=\"center\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"600\" style=\"border-collapse: collapse; background-color: #fff; padding: 0 40px;\">\n" +
                    "          <!-- 头部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 40px;\">\n" +
                    "                    <a href=\"https://www.pdfreaderpro.com/\">\n" +
                    "                      <img src=\"emailImagesUrl/static/images/pdfpro/vpp_logo.png\" alt=\"PDF Technologies\" width=\"180\">\n" +
                    "                    </a>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 标题 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 46px;\">\n" +
                    "                    <div style=\"font-size: 20px; line-height: 28px; color: #121E3F; font-family:Rubik;\">\n" +
                    "                      Dear %s,<br/>The Admin Console has received requests from administrator.\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 20px; color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px; vertical-align:middle;\">\n" +
                    "                    Regards\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"color: #121E3F; font-size:16px; font-family:Rubik; line-height:18.96px;\">\n" +
                    "                    <span style=\"padding-bottom: 35px; width: 100%%; display: block;\">PDF Technologies Team</span>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 列表 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding:20px 40px; background: #FAFAFA;\">\n" +
                    "              <table cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse;\">\n" +
                    "                <tr>\n" +
                    "                  <td style=\"padding-top: 10px; padding-bottom: 10px;\">\n" +
                    "                    <div style=\"font-weight: bold;font-size: 20px; line-height: 24px; color: #121E3F;\">License Code Removed</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"height: 1px; background: #DCDFE9;\"></div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 20px;\">Your licenses for %s have been revoked by your organization's administrator. %s will be automatically deactivated.</td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td style=\"font-size: 16px; line-height: 18.4px; color: #121E3F; padding-top: 16px;\">If you have any questions, please contact your organization's administrator (%s).</td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "          <!-- 底部 -->\n" +
                    "          <tr>\n" +
                    "            <td style=\"padding: 0 40px; padding-bottom: 40px;\">\n" +
                    "              <table align=\"center\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%%\" style=\"border-collapse: collapse; background: #F9F9FB;\">\n" +
                    "                <tr>\n" +
                    "                  <td align=\"center\" style=\"padding-top: 17px; text-align: center; font-size: 12px; line-height: 18px; color: #666666;\">\n" +
                    "                    <div>Should you have any problems, go <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\" style=\"color: #3B99FC;\">official website</a>,</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">or email us via <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\" style=\"color: #3B99FC;\">support@pdfreaderpro.com</a>.</div>\n" +
                    "                    <div style=\"margin-top: 5px;\">PDF Reader Pro powered by <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\" style=\"color: #3B99FC;\">ComPDFKit</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">If you don't want to receive this type of emails anymore, please <a target=\"_blank\" href=\"cancelEmailUrl\" style=\"color: #3B99FC;\">unsubscribe</a></div>\n" +
                    "                    <div style=\"margin-top: 5px;\">2014-2024 PDF Technologies, Inc. All Rights Reserved.</div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "                <tr>\n" +
                    "                  <td>\n" +
                    "                    <div style=\"text-align: center; padding: 16px 6px 17px;\">\n" +
                    "                      <a target=\"_blank\" href=\"https://www.pdfreaderpro.com/\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_pro.png\" alt=\"PDF Reader Pro\" width=\"36\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.compdf.com/?utm_source=pdfpro&utm_medium=pdfcompdfkit&utm_campaign=compdfkit\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_com.png\" alt=\"ComPDFKit\" width=\"36\" style=\"padding-left: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://www.facebook.com/PDFProApp\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_facebook.png\" alt=\"PDF Technologies Facebook\" width=\"36\" style=\"padding: 0 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"https://twitter.com/PDFReaderPro\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_twitter.png\" alt=\"PDF Technologies Twitter\" width=\"36\" style=\"padding-right: 26px;\"></a>\n" +
                    "                      <a target=\"_blank\" href=\"mailto:support@pdfreaderpro.com\"><img src=\"emailImagesUrl/static/images/pdfpro/vpp_email.png\" alt=\"PDF Technologies Email\" width=\"36\"></a>\n" +
                    "                    </div>\n" +
                    "                  </td>\n" +
                    "                </tr>\n" +
                    "              </table>\n" +
                    "            </td>\n" +
                    "          </tr>\n" +
                    "        </table>\n" +
                    "      </td>\n" +
                    "    </tr>\n" +
                    "  </table>\n" +
                    "</body>\n" +
                    "\n" +
                    "</html>\n"),;

    private final String value;
    private final String action;

    private final String subject;

    private final String text;

    public String subject() {
        return subject;
    }

    public String text() {
        return text;
    }

    CaptchaActionEnum(String value, String action, String subject, String text) {
        this.value = value;
        this.action = action;
        this.subject = subject;
        this.text = text;
    }

    public static CaptchaActionEnum getEnumByValue(String value) {
        for (CaptchaActionEnum modeEnum : CaptchaActionEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum;
            }
        }
        return null;
    }

    public String value() {
        return value;
    }

    public String action() {
        return action;
    }

}
