package cn.kdan.pdf.tech.core.enums;

public enum DomainVerifiedEnum {

    UNVERIFIED("0"),
    VERIFIED("1");

    private String code;

    DomainVerifiedEnum(String code) {
        this.code = code;
    }


    public static DomainVerifiedEnum getEnumByCode(String code) {
        for (DomainVerifiedEnum type : DomainVerifiedEnum.values()) {
            if (type.code().equals(code)) {
                return type;
            }
        }
        return null;
    }

    public String code() {
        return code;
    }
}
