package cn.kdan.pdf.tech.core.enums;


public enum DomainVerifyTypeEnum {

    HTTPS("0"),
    DNS("1");

    private String code;

    DomainVerifyTypeEnum(String code) {
        this.code = code;
    }


    public static DomainVerifyTypeEnum getEnumByCode(String code) {
        for (DomainVerifyTypeEnum type : DomainVerifyTypeEnum.values()) {
            if (type.code().equals(code)) {
                return type;
            }
        }
        return null;
    }

    public String code() {
        return code;
    }
}
