package cn.kdan.pdf.tech.core.mapper.ext;

import cn.kdan.pdf.tech.core.mapper.SubscriptionsMapper;
import cn.kdan.pdf.tech.core.pojo.vo.SubscriptionResellerVO;
import cn.kdan.pdf.tech.core.pojo.vo.SubscriptionVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangxiangan
 */
public interface ExtVppSubscriptionMapper extends SubscriptionsMapper {

    /**
     * 获取某个公司的购买情况
     * @param companyId 公司名
     * @param code code
     * @return List
     */
    List<SubscriptionVO> listByCompany (@Param("code") String code, @Param("companyId") String companyId);

    /**
     * 获取某个分销商的购买情况
     * @param companyId 公司名
     * @param code code
     * @return List
     */
    List<SubscriptionResellerVO> listByCompanyForReseller (@Param("code") String code, @Param("companyId") String companyId);

}
