package cn.kdan.pdf.tech.core.model;

import java.io.Serializable;
import java.util.Date;

public class Apps implements Serializable {
    private Integer id;

    private String name;

    private String code;

    private Date createdAt;

    private Date updatedAt;

    private Integer latestVersionId;

    private Double maxTrailDays;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public Apps withId(Integer id) {
        this.setId(id);
        return this;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public Apps withName(String name) {
        this.setName(name);
        return this;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public Apps withCode(String code) {
        this.setCode(code);
        return this;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Apps withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public Apps withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getLatestVersionId() {
        return latestVersionId;
    }

    public Apps withLatestVersionId(Integer latestVersionId) {
        this.setLatestVersionId(latestVersionId);
        return this;
    }

    public void setLatestVersionId(Integer latestVersionId) {
        this.latestVersionId = latestVersionId;
    }

    public Double getMaxTrailDays() {
        return maxTrailDays;
    }

    public Apps withMaxTrailDays(Double maxTrailDays) {
        this.setMaxTrailDays(maxTrailDays);
        return this;
    }

    public void setMaxTrailDays(Double maxTrailDays) {
        this.maxTrailDays = maxTrailDays;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Apps other = (Apps) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
            && (this.getLatestVersionId() == null ? other.getLatestVersionId() == null : this.getLatestVersionId().equals(other.getLatestVersionId()))
            && (this.getMaxTrailDays() == null ? other.getMaxTrailDays() == null : this.getMaxTrailDays().equals(other.getMaxTrailDays()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getLatestVersionId() == null) ? 0 : getLatestVersionId().hashCode());
        result = prime * result + ((getMaxTrailDays() == null) ? 0 : getMaxTrailDays().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", code=").append(code);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", latestVersionId=").append(latestVersionId);
        sb.append(", maxTrailDays=").append(maxTrailDays);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}