package cn.kdan.pdf.tech.core.model;

import java.io.Serializable;
import java.util.Date;

public class Directory implements Serializable {
    private String directoryId;

    private String name;

    private String clientSecrets;

    private String scope;

    private String tenantId;

    private String type;

    private String applicationId;

    private Date createTime;

    private Date updateTime;

    private String validFlag;

    private String companyId;

    private String teamId;

    private String msGroupIds;

    private static final long serialVersionUID = 1L;

    public String getDirectoryId() {
        return directoryId;
    }

    public Directory withDirectoryId(String directoryId) {
        this.setDirectoryId(directoryId);
        return this;
    }

    public void setDirectoryId(String directoryId) {
        this.directoryId = directoryId;
    }

    public String getName() {
        return name;
    }

    public Directory withName(String name) {
        this.setName(name);
        return this;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClientSecrets() {
        return clientSecrets;
    }

    public Directory withClientSecrets(String clientSecrets) {
        this.setClientSecrets(clientSecrets);
        return this;
    }

    public void setClientSecrets(String clientSecrets) {
        this.clientSecrets = clientSecrets;
    }

    public String getScope() {
        return scope;
    }

    public Directory withScope(String scope) {
        this.setScope(scope);
        return this;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getTenantId() {
        return tenantId;
    }

    public Directory withTenantId(String tenantId) {
        this.setTenantId(tenantId);
        return this;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getType() {
        return type;
    }

    public Directory withType(String type) {
        this.setType(type);
        return this;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getApplicationId() {
        return applicationId;
    }

    public Directory withApplicationId(String applicationId) {
        this.setApplicationId(applicationId);
        return this;
    }

    public void setApplicationId(String applicationId) {
        this.applicationId = applicationId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public Directory withCreateTime(Date createTime) {
        this.setCreateTime(createTime);
        return this;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public Directory withUpdateTime(Date updateTime) {
        this.setUpdateTime(updateTime);
        return this;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public Directory withValidFlag(String validFlag) {
        this.setValidFlag(validFlag);
        return this;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    public String getCompanyId() {
        return companyId;
    }

    public Directory withCompanyId(String companyId) {
        this.setCompanyId(companyId);
        return this;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getTeamId() {
        return teamId;
    }

    public Directory withTeamId(String teamId) {
        this.setTeamId(teamId);
        return this;
    }

    public void setTeamId(String teamId) {
        this.teamId = teamId;
    }

    public String getMsGroupIds() {
        return msGroupIds;
    }

    public Directory withMsGroupIds(String msGroupIds) {
        this.setMsGroupIds(msGroupIds);
        return this;
    }

    public void setMsGroupIds(String msGroupIds) {
        this.msGroupIds = msGroupIds;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Directory other = (Directory) that;
        return (this.getDirectoryId() == null ? other.getDirectoryId() == null : this.getDirectoryId().equals(other.getDirectoryId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getClientSecrets() == null ? other.getClientSecrets() == null : this.getClientSecrets().equals(other.getClientSecrets()))
            && (this.getScope() == null ? other.getScope() == null : this.getScope().equals(other.getScope()))
            && (this.getTenantId() == null ? other.getTenantId() == null : this.getTenantId().equals(other.getTenantId()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getApplicationId() == null ? other.getApplicationId() == null : this.getApplicationId().equals(other.getApplicationId()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getValidFlag() == null ? other.getValidFlag() == null : this.getValidFlag().equals(other.getValidFlag()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getTeamId() == null ? other.getTeamId() == null : this.getTeamId().equals(other.getTeamId()))
            && (this.getMsGroupIds() == null ? other.getMsGroupIds() == null : this.getMsGroupIds().equals(other.getMsGroupIds()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getDirectoryId() == null) ? 0 : getDirectoryId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getClientSecrets() == null) ? 0 : getClientSecrets().hashCode());
        result = prime * result + ((getScope() == null) ? 0 : getScope().hashCode());
        result = prime * result + ((getTenantId() == null) ? 0 : getTenantId().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getApplicationId() == null) ? 0 : getApplicationId().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getValidFlag() == null) ? 0 : getValidFlag().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getTeamId() == null) ? 0 : getTeamId().hashCode());
        result = prime * result + ((getMsGroupIds() == null) ? 0 : getMsGroupIds().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", directoryId=").append(directoryId);
        sb.append(", name=").append(name);
        sb.append(", clientSecrets=").append(clientSecrets);
        sb.append(", scope=").append(scope);
        sb.append(", tenantId=").append(tenantId);
        sb.append(", type=").append(type);
        sb.append(", applicationId=").append(applicationId);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", companyId=").append(companyId);
        sb.append(", teamId=").append(teamId);
        sb.append(", msGroupIds=").append(msGroupIds);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}