package cn.kdan.pdf.tech.core.model;

import java.io.Serializable;
import java.util.Date;

public class DirectorySync implements Serializable {
    private String directorySyncId;

    private String status;

    private Date syncTime;

    private String directoryId;

    private static final long serialVersionUID = 1L;

    public String getDirectorySyncId() {
        return directorySyncId;
    }

    public DirectorySync withDirectorySyncId(String directorySyncId) {
        this.setDirectorySyncId(directorySyncId);
        return this;
    }

    public void setDirectorySyncId(String directorySyncId) {
        this.directorySyncId = directorySyncId;
    }

    public String getStatus() {
        return status;
    }

    public DirectorySync withStatus(String status) {
        this.setStatus(status);
        return this;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public DirectorySync withSyncTime(Date syncTime) {
        this.setSyncTime(syncTime);
        return this;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }

    public String getDirectoryId() {
        return directoryId;
    }

    public DirectorySync withDirectoryId(String directoryId) {
        this.setDirectoryId(directoryId);
        return this;
    }

    public void setDirectoryId(String directoryId) {
        this.directoryId = directoryId;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DirectorySync other = (DirectorySync) that;
        return (this.getDirectorySyncId() == null ? other.getDirectorySyncId() == null : this.getDirectorySyncId().equals(other.getDirectorySyncId()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getSyncTime() == null ? other.getSyncTime() == null : this.getSyncTime().equals(other.getSyncTime()))
            && (this.getDirectoryId() == null ? other.getDirectoryId() == null : this.getDirectoryId().equals(other.getDirectoryId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getDirectorySyncId() == null) ? 0 : getDirectorySyncId().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getSyncTime() == null) ? 0 : getSyncTime().hashCode());
        result = prime * result + ((getDirectoryId() == null) ? 0 : getDirectoryId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", directorySyncId=").append(directorySyncId);
        sb.append(", status=").append(status);
        sb.append(", syncTime=").append(syncTime);
        sb.append(", directoryId=").append(directoryId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}