package cn.kdan.pdf.tech.core.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class LicenseCodesExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public LicenseCodesExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andMemberIdIsNull() {
            addCriterion("member_id is null");
            return (Criteria) this;
        }

        public Criteria andMemberIdIsNotNull() {
            addCriterion("member_id is not null");
            return (Criteria) this;
        }

        public Criteria andMemberIdEqualTo(String value) {
            addCriterion("member_id = CAST(" + value + " AS UUID)");
            return (Criteria) this;
        }

        public Criteria andMemberIdNotEqualTo(String value) {
            addCriterion("member_id <>", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdGreaterThan(String value) {
            addCriterion("member_id >", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdGreaterThanOrEqualTo(String value) {
            addCriterion("member_id >=", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdLessThan(String value) {
            addCriterion("member_id <", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdLessThanOrEqualTo(String value) {
            addCriterion("member_id <=", value, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdIn(List<String> values) {
            addCriterion("member_id in", values, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdNotIn(List<String> values) {
            addCriterion("member_id not in", values, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdBetween(String value1, String value2) {
            addCriterion("member_id between", value1, value2, "memberId");
            return (Criteria) this;
        }

        public Criteria andMemberIdNotBetween(String value1, String value2) {
            addCriterion("member_id not between", value1, value2, "memberId");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdIsNull() {
            addCriterion("subscription_id is null");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdIsNotNull() {
            addCriterion("subscription_id is not null");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdEqualTo(String value) {
            addCriterion("subscription_id =", value, "subscriptionId");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdNotEqualTo(String value) {
            addCriterion("subscription_id <>", value, "subscriptionId");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdGreaterThan(String value) {
            addCriterion("subscription_id >", value, "subscriptionId");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdGreaterThanOrEqualTo(String value) {
            addCriterion("subscription_id >=", value, "subscriptionId");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdLessThan(String value) {
            addCriterion("subscription_id <", value, "subscriptionId");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdLessThanOrEqualTo(String value) {
            addCriterion("subscription_id <=", value, "subscriptionId");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdIn(List<String> values) {
            addCriterion("subscription_id in", values, "subscriptionId");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdNotIn(List<String> values) {
            addCriterion("subscription_id not in", values, "subscriptionId");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdBetween(String value1, String value2) {
            addCriterion("subscription_id between", value1, value2, "subscriptionId");
            return (Criteria) this;
        }

        public Criteria andSubscriptionIdNotBetween(String value1, String value2) {
            addCriterion("subscription_id not between", value1, value2, "subscriptionId");
            return (Criteria) this;
        }

        public Criteria andCdkeyIsNull() {
            addCriterion("cdkey is null");
            return (Criteria) this;
        }

        public Criteria andCdkeyIsNotNull() {
            addCriterion("cdkey is not null");
            return (Criteria) this;
        }

        public Criteria andCdkeyEqualTo(String value) {
            addCriterion("cdkey =", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyNotEqualTo(String value) {
            addCriterion("cdkey <>", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyGreaterThan(String value) {
            addCriterion("cdkey >", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyGreaterThanOrEqualTo(String value) {
            addCriterion("cdkey >=", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyLessThan(String value) {
            addCriterion("cdkey <", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyLessThanOrEqualTo(String value) {
            addCriterion("cdkey <=", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyLike(String value) {
            addCriterion("cdkey like", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyNotLike(String value) {
            addCriterion("cdkey not like", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyIn(List<String> values) {
            addCriterion("cdkey in", values, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyNotIn(List<String> values) {
            addCriterion("cdkey not in", values, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyBetween(String value1, String value2) {
            addCriterion("cdkey between", value1, value2, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyNotBetween(String value1, String value2) {
            addCriterion("cdkey not between", value1, value2, "cdkey");
            return (Criteria) this;
        }

        public Criteria andTimesIsNull() {
            addCriterion("times is null");
            return (Criteria) this;
        }

        public Criteria andTimesIsNotNull() {
            addCriterion("times is not null");
            return (Criteria) this;
        }

        public Criteria andTimesEqualTo(Short value) {
            addCriterion("times =", value, "times");
            return (Criteria) this;
        }

        public Criteria andTimesNotEqualTo(Short value) {
            addCriterion("times <>", value, "times");
            return (Criteria) this;
        }

        public Criteria andTimesGreaterThan(Short value) {
            addCriterion("times >", value, "times");
            return (Criteria) this;
        }

        public Criteria andTimesGreaterThanOrEqualTo(Short value) {
            addCriterion("times >=", value, "times");
            return (Criteria) this;
        }

        public Criteria andTimesLessThan(Short value) {
            addCriterion("times <", value, "times");
            return (Criteria) this;
        }

        public Criteria andTimesLessThanOrEqualTo(Short value) {
            addCriterion("times <=", value, "times");
            return (Criteria) this;
        }

        public Criteria andTimesIn(List<Short> values) {
            addCriterion("times in", values, "times");
            return (Criteria) this;
        }

        public Criteria andTimesNotIn(List<Short> values) {
            addCriterion("times not in", values, "times");
            return (Criteria) this;
        }

        public Criteria andTimesBetween(Short value1, Short value2) {
            addCriterion("times between", value1, value2, "times");
            return (Criteria) this;
        }

        public Criteria andTimesNotBetween(Short value1, Short value2) {
            addCriterion("times not between", value1, value2, "times");
            return (Criteria) this;
        }

        public Criteria andUsedTimesIsNull() {
            addCriterion("used_times is null");
            return (Criteria) this;
        }

        public Criteria andUsedTimesIsNotNull() {
            addCriterion("used_times is not null");
            return (Criteria) this;
        }

        public Criteria andUsedTimesEqualTo(Short value) {
            addCriterion("used_times =", value, "usedTimes");
            return (Criteria) this;
        }

        public Criteria andUsedTimesNotEqualTo(Short value) {
            addCriterion("used_times <>", value, "usedTimes");
            return (Criteria) this;
        }

        public Criteria andUsedTimesGreaterThan(Short value) {
            addCriterion("used_times >", value, "usedTimes");
            return (Criteria) this;
        }

        public Criteria andUsedTimesGreaterThanOrEqualTo(Short value) {
            addCriterion("used_times >=", value, "usedTimes");
            return (Criteria) this;
        }

        public Criteria andUsedTimesLessThan(Short value) {
            addCriterion("used_times <", value, "usedTimes");
            return (Criteria) this;
        }

        public Criteria andUsedTimesLessThanOrEqualTo(Short value) {
            addCriterion("used_times <=", value, "usedTimes");
            return (Criteria) this;
        }

        public Criteria andUsedTimesIn(List<Short> values) {
            addCriterion("used_times in", values, "usedTimes");
            return (Criteria) this;
        }

        public Criteria andUsedTimesNotIn(List<Short> values) {
            addCriterion("used_times not in", values, "usedTimes");
            return (Criteria) this;
        }

        public Criteria andUsedTimesBetween(Short value1, Short value2) {
            addCriterion("used_times between", value1, value2, "usedTimes");
            return (Criteria) this;
        }

        public Criteria andUsedTimesNotBetween(Short value1, Short value2) {
            addCriterion("used_times not between", value1, value2, "usedTimes");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNull() {
            addCriterion("updated_at is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNotNull() {
            addCriterion("updated_at is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtEqualTo(Date value) {
            addCriterion("updated_at =", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotEqualTo(Date value) {
            addCriterion("updated_at <>", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThan(Date value) {
            addCriterion("updated_at >", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("updated_at >=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThan(Date value) {
            addCriterion("updated_at <", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThanOrEqualTo(Date value) {
            addCriterion("updated_at <=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIn(List<Date> values) {
            addCriterion("updated_at in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotIn(List<Date> values) {
            addCriterion("updated_at not in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtBetween(Date value1, Date value2) {
            addCriterion("updated_at between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotBetween(Date value1, Date value2) {
            addCriterion("updated_at not between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtIsNull() {
            addCriterion("last_remind_at is null");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtIsNotNull() {
            addCriterion("last_remind_at is not null");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtEqualTo(Date value) {
            addCriterion("last_remind_at =", value, "lastRemindAt");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtNotEqualTo(Date value) {
            addCriterion("last_remind_at <>", value, "lastRemindAt");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtGreaterThan(Date value) {
            addCriterion("last_remind_at >", value, "lastRemindAt");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtGreaterThanOrEqualTo(Date value) {
            addCriterion("last_remind_at >=", value, "lastRemindAt");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtLessThan(Date value) {
            addCriterion("last_remind_at <", value, "lastRemindAt");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtLessThanOrEqualTo(Date value) {
            addCriterion("last_remind_at <=", value, "lastRemindAt");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtIn(List<Date> values) {
            addCriterion("last_remind_at in", values, "lastRemindAt");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtNotIn(List<Date> values) {
            addCriterion("last_remind_at not in", values, "lastRemindAt");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtBetween(Date value1, Date value2) {
            addCriterion("last_remind_at between", value1, value2, "lastRemindAt");
            return (Criteria) this;
        }

        public Criteria andLastRemindAtNotBetween(Date value1, Date value2) {
            addCriterion("last_remind_at not between", value1, value2, "lastRemindAt");
            return (Criteria) this;
        }

        public Criteria andProductIdIsNull() {
            addCriterion("product_id is null");
            return (Criteria) this;
        }

        public Criteria andProductIdIsNotNull() {
            addCriterion("product_id is not null");
            return (Criteria) this;
        }

        public Criteria andProductIdEqualTo(Integer value) {
            addCriterion("product_id =", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdNotEqualTo(Integer value) {
            addCriterion("product_id <>", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdGreaterThan(Integer value) {
            addCriterion("product_id >", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("product_id >=", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdLessThan(Integer value) {
            addCriterion("product_id <", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdLessThanOrEqualTo(Integer value) {
            addCriterion("product_id <=", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdIn(List<Integer> values) {
            addCriterion("product_id in", values, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdNotIn(List<Integer> values) {
            addCriterion("product_id not in", values, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdBetween(Integer value1, Integer value2) {
            addCriterion("product_id between", value1, value2, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdNotBetween(Integer value1, Integer value2) {
            addCriterion("product_id not between", value1, value2, "productId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdIsNull() {
            addCriterion("vpp_member_id is null");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdIsNotNull() {
            addCriterion("vpp_member_id is not null");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdEqualTo(String value) {
            addCriterion("vpp_member_id =", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdNotEqualTo(String value) {
            addCriterion("vpp_member_id <>", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdGreaterThan(String value) {
            addCriterion("vpp_member_id >", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdGreaterThanOrEqualTo(String value) {
            addCriterion("vpp_member_id >=", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdLessThan(String value) {
            addCriterion("vpp_member_id <", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdLessThanOrEqualTo(String value) {
            addCriterion("vpp_member_id <=", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdLike(String value) {
            addCriterion("vpp_member_id like", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdNotLike(String value) {
            addCriterion("vpp_member_id not like", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdIn(List<String> values) {
            addCriterion("vpp_member_id in", values, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdNotIn(List<String> values) {
            addCriterion("vpp_member_id not in", values, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdBetween(String value1, String value2) {
            addCriterion("vpp_member_id between", value1, value2, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdNotBetween(String value1, String value2) {
            addCriterion("vpp_member_id not between", value1, value2, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andTeamIdIsNull() {
            addCriterion("team_id is null");
            return (Criteria) this;
        }

        public Criteria andTeamIdIsNotNull() {
            addCriterion("team_id is not null");
            return (Criteria) this;
        }

        public Criteria andTeamIdEqualTo(String value) {
            addCriterion("team_id =", value, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdNotEqualTo(String value) {
            addCriterion("team_id <>", value, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdGreaterThan(String value) {
            addCriterion("team_id >", value, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdGreaterThanOrEqualTo(String value) {
            addCriterion("team_id >=", value, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdLessThan(String value) {
            addCriterion("team_id <", value, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdLessThanOrEqualTo(String value) {
            addCriterion("team_id <=", value, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdLike(String value) {
            addCriterion("team_id like", value, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdNotLike(String value) {
            addCriterion("team_id not like", value, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdIn(List<String> values) {
            addCriterion("team_id in", values, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdNotIn(List<String> values) {
            addCriterion("team_id not in", values, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdBetween(String value1, String value2) {
            addCriterion("team_id between", value1, value2, "teamId");
            return (Criteria) this;
        }

        public Criteria andTeamIdNotBetween(String value1, String value2) {
            addCriterion("team_id not between", value1, value2, "teamId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNull() {
            addCriterion("company_id is null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNotNull() {
            addCriterion("company_id is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdEqualTo(String value) {
            addCriterion("company_id =", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotEqualTo(String value) {
            addCriterion("company_id <>", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThan(String value) {
            addCriterion("company_id >", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThanOrEqualTo(String value) {
            addCriterion("company_id >=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThan(String value) {
            addCriterion("company_id <", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThanOrEqualTo(String value) {
            addCriterion("company_id <=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLike(String value) {
            addCriterion("company_id like", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotLike(String value) {
            addCriterion("company_id not like", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIn(List<String> values) {
            addCriterion("company_id in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotIn(List<String> values) {
            addCriterion("company_id not in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdBetween(String value1, String value2) {
            addCriterion("company_id between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotBetween(String value1, String value2) {
            addCriterion("company_id not between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("type is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("type is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(Short value) {
            addCriterion("type =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(Short value) {
            addCriterion("type <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(Short value) {
            addCriterion("type >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(Short value) {
            addCriterion("type >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(Short value) {
            addCriterion("type <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(Short value) {
            addCriterion("type <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<Short> values) {
            addCriterion("type in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<Short> values) {
            addCriterion("type not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(Short value1, Short value2) {
            addCriterion("type between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(Short value1, Short value2) {
            addCriterion("type not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andEndUpAtIsNull() {
            addCriterion("end_up_at is null");
            return (Criteria) this;
        }

        public Criteria andEndUpAtIsNotNull() {
            addCriterion("end_up_at is not null");
            return (Criteria) this;
        }

        public Criteria andEndUpAtEqualTo(Date value) {
            addCriterion("end_up_at =", value, "endUpAt");
            return (Criteria) this;
        }

        public Criteria andEndUpAtNotEqualTo(Date value) {
            addCriterion("end_up_at <>", value, "endUpAt");
            return (Criteria) this;
        }

        public Criteria andEndUpAtGreaterThan(Date value) {
            addCriterion("end_up_at >", value, "endUpAt");
            return (Criteria) this;
        }

        public Criteria andEndUpAtGreaterThanOrEqualTo(Date value) {
            addCriterion("end_up_at >=", value, "endUpAt");
            return (Criteria) this;
        }

        public Criteria andEndUpAtLessThan(Date value) {
            addCriterion("end_up_at <", value, "endUpAt");
            return (Criteria) this;
        }

        public Criteria andEndUpAtLessThanOrEqualTo(Date value) {
            addCriterion("end_up_at <=", value, "endUpAt");
            return (Criteria) this;
        }

        public Criteria andEndUpAtIn(List<Date> values) {
            addCriterion("end_up_at in", values, "endUpAt");
            return (Criteria) this;
        }

        public Criteria andEndUpAtNotIn(List<Date> values) {
            addCriterion("end_up_at not in", values, "endUpAt");
            return (Criteria) this;
        }

        public Criteria andEndUpAtBetween(Date value1, Date value2) {
            addCriterion("end_up_at between", value1, value2, "endUpAt");
            return (Criteria) this;
        }

        public Criteria andEndUpAtNotBetween(Date value1, Date value2) {
            addCriterion("end_up_at not between", value1, value2, "endUpAt");
            return (Criteria) this;
        }

        public Criteria andValidFlagIsNull() {
            addCriterion("valid_flag is null");
            return (Criteria) this;
        }

        public Criteria andValidFlagIsNotNull() {
            addCriterion("valid_flag is not null");
            return (Criteria) this;
        }

        public Criteria andValidFlagEqualTo(Integer value) {
            addCriterion("valid_flag =", value, "validFlag");
            return (Criteria) this;
        }

        public Criteria andValidFlagNotEqualTo(Integer value) {
            addCriterion("valid_flag <>", value, "validFlag");
            return (Criteria) this;
        }

        public Criteria andValidFlagGreaterThan(Integer value) {
            addCriterion("valid_flag >", value, "validFlag");
            return (Criteria) this;
        }

        public Criteria andValidFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("valid_flag >=", value, "validFlag");
            return (Criteria) this;
        }

        public Criteria andValidFlagLessThan(Integer value) {
            addCriterion("valid_flag <", value, "validFlag");
            return (Criteria) this;
        }

        public Criteria andValidFlagLessThanOrEqualTo(Integer value) {
            addCriterion("valid_flag <=", value, "validFlag");
            return (Criteria) this;
        }

        public Criteria andValidFlagIn(List<Integer> values) {
            addCriterion("valid_flag in", values, "validFlag");
            return (Criteria) this;
        }

        public Criteria andValidFlagNotIn(List<Integer> values) {
            addCriterion("valid_flag not in", values, "validFlag");
            return (Criteria) this;
        }

        public Criteria andValidFlagBetween(Integer value1, Integer value2) {
            addCriterion("valid_flag between", value1, value2, "validFlag");
            return (Criteria) this;
        }

        public Criteria andValidFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("valid_flag not between", value1, value2, "validFlag");
            return (Criteria) this;
        }

        public Criteria andAssignedDateIsNull() {
            addCriterion("assigned_date is null");
            return (Criteria) this;
        }

        public Criteria andAssignedDateIsNotNull() {
            addCriterion("assigned_date is not null");
            return (Criteria) this;
        }

        public Criteria andAssignedDateEqualTo(Date value) {
            addCriterion("assigned_date =", value, "assignedDate");
            return (Criteria) this;
        }

        public Criteria andAssignedDateNotEqualTo(Date value) {
            addCriterion("assigned_date <>", value, "assignedDate");
            return (Criteria) this;
        }

        public Criteria andAssignedDateGreaterThan(Date value) {
            addCriterion("assigned_date >", value, "assignedDate");
            return (Criteria) this;
        }

        public Criteria andAssignedDateGreaterThanOrEqualTo(Date value) {
            addCriterion("assigned_date >=", value, "assignedDate");
            return (Criteria) this;
        }

        public Criteria andAssignedDateLessThan(Date value) {
            addCriterion("assigned_date <", value, "assignedDate");
            return (Criteria) this;
        }

        public Criteria andAssignedDateLessThanOrEqualTo(Date value) {
            addCriterion("assigned_date <=", value, "assignedDate");
            return (Criteria) this;
        }

        public Criteria andAssignedDateIn(List<Date> values) {
            addCriterion("assigned_date in", values, "assignedDate");
            return (Criteria) this;
        }

        public Criteria andAssignedDateNotIn(List<Date> values) {
            addCriterion("assigned_date not in", values, "assignedDate");
            return (Criteria) this;
        }

        public Criteria andAssignedDateBetween(Date value1, Date value2) {
            addCriterion("assigned_date between", value1, value2, "assignedDate");
            return (Criteria) this;
        }

        public Criteria andAssignedDateNotBetween(Date value1, Date value2) {
            addCriterion("assigned_date not between", value1, value2, "assignedDate");
            return (Criteria) this;
        }

        public Criteria andActivatedDateIsNull() {
            addCriterion("activated_date is null");
            return (Criteria) this;
        }

        public Criteria andActivatedDateIsNotNull() {
            addCriterion("activated_date is not null");
            return (Criteria) this;
        }

        public Criteria andActivatedDateEqualTo(Date value) {
            addCriterion("activated_date =", value, "activatedDate");
            return (Criteria) this;
        }

        public Criteria andActivatedDateNotEqualTo(Date value) {
            addCriterion("activated_date <>", value, "activatedDate");
            return (Criteria) this;
        }

        public Criteria andActivatedDateGreaterThan(Date value) {
            addCriterion("activated_date >", value, "activatedDate");
            return (Criteria) this;
        }

        public Criteria andActivatedDateGreaterThanOrEqualTo(Date value) {
            addCriterion("activated_date >=", value, "activatedDate");
            return (Criteria) this;
        }

        public Criteria andActivatedDateLessThan(Date value) {
            addCriterion("activated_date <", value, "activatedDate");
            return (Criteria) this;
        }

        public Criteria andActivatedDateLessThanOrEqualTo(Date value) {
            addCriterion("activated_date <=", value, "activatedDate");
            return (Criteria) this;
        }

        public Criteria andActivatedDateIn(List<Date> values) {
            addCriterion("activated_date in", values, "activatedDate");
            return (Criteria) this;
        }

        public Criteria andActivatedDateNotIn(List<Date> values) {
            addCriterion("activated_date not in", values, "activatedDate");
            return (Criteria) this;
        }

        public Criteria andActivatedDateBetween(Date value1, Date value2) {
            addCriterion("activated_date between", value1, value2, "activatedDate");
            return (Criteria) this;
        }

        public Criteria andActivatedDateNotBetween(Date value1, Date value2) {
            addCriterion("activated_date not between", value1, value2, "activatedDate");
            return (Criteria) this;
        }

        public Criteria andIsVppIsNull() {
            addCriterion("is_vpp is null");
            return (Criteria) this;
        }

        public Criteria andIsVppIsNotNull() {
            addCriterion("is_vpp is not null");
            return (Criteria) this;
        }

        public Criteria andIsVppEqualTo(Short value) {
            addCriterion("is_vpp =", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppNotEqualTo(Short value) {
            addCriterion("is_vpp <>", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppGreaterThan(Short value) {
            addCriterion("is_vpp >", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppGreaterThanOrEqualTo(Short value) {
            addCriterion("is_vpp >=", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppLessThan(Short value) {
            addCriterion("is_vpp <", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppLessThanOrEqualTo(Short value) {
            addCriterion("is_vpp <=", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppIn(List<Short> values) {
            addCriterion("is_vpp in", values, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppNotIn(List<Short> values) {
            addCriterion("is_vpp not in", values, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppBetween(Short value1, Short value2) {
            addCriterion("is_vpp between", value1, value2, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppNotBetween(Short value1, Short value2) {
            addCriterion("is_vpp not between", value1, value2, "isVpp");
            return (Criteria) this;
        }

        public Criteria andCdkeyLikeInsensitive(String value) {
            addCriterion("upper(cdkey) like", value.toUpperCase(), "cdkey");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdLikeInsensitive(String value) {
            addCriterion("upper(vpp_member_id) like", value.toUpperCase(), "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andTeamIdLikeInsensitive(String value) {
            addCriterion("upper(team_id) like", value.toUpperCase(), "teamId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLikeInsensitive(String value) {
            addCriterion("upper(company_id) like", value.toUpperCase(), "companyId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
