package cn.kdan.pdf.tech.core.model;

import java.io.Serializable;
import java.util.Date;

public class Members implements Serializable {
    private Object id;

    private String email;

    private String fullName;

    private Integer subscriberType;

    private Date createdAt;

    private Date updatedAt;

    private Date lastPopularizeAt;

    private Integer subscribed;

    private Date lastPresentedCouponAt;

    private Integer mailable;

    private String digestPassword;

    private String resetToken;

    private String phone;

    private String companyId;

    private static final long serialVersionUID = 1L;

    public Object getId() {
        return id;
    }

    public Members withId(Object id) {
        this.setId(id);
        return this;
    }

    public void setId(Object id) {
        this.id = id;
    }

    public String getEmail() {
        return email;
    }

    public Members withEmail(String email) {
        this.setEmail(email);
        return this;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getFullName() {
        return fullName;
    }

    public Members withFullName(String fullName) {
        this.setFullName(fullName);
        return this;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public Integer getSubscriberType() {
        return subscriberType;
    }

    public Members withSubscriberType(Integer subscriberType) {
        this.setSubscriberType(subscriberType);
        return this;
    }

    public void setSubscriberType(Integer subscriberType) {
        this.subscriberType = subscriberType;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Members withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public Members withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Date getLastPopularizeAt() {
        return lastPopularizeAt;
    }

    public Members withLastPopularizeAt(Date lastPopularizeAt) {
        this.setLastPopularizeAt(lastPopularizeAt);
        return this;
    }

    public void setLastPopularizeAt(Date lastPopularizeAt) {
        this.lastPopularizeAt = lastPopularizeAt;
    }

    public Integer getSubscribed() {
        return subscribed;
    }

    public Members withSubscribed(Integer subscribed) {
        this.setSubscribed(subscribed);
        return this;
    }

    public void setSubscribed(Integer subscribed) {
        this.subscribed = subscribed;
    }

    public Date getLastPresentedCouponAt() {
        return lastPresentedCouponAt;
    }

    public Members withLastPresentedCouponAt(Date lastPresentedCouponAt) {
        this.setLastPresentedCouponAt(lastPresentedCouponAt);
        return this;
    }

    public void setLastPresentedCouponAt(Date lastPresentedCouponAt) {
        this.lastPresentedCouponAt = lastPresentedCouponAt;
    }

    public Integer getMailable() {
        return mailable;
    }

    public Members withMailable(Integer mailable) {
        this.setMailable(mailable);
        return this;
    }

    public void setMailable(Integer mailable) {
        this.mailable = mailable;
    }

    public String getDigestPassword() {
        return digestPassword;
    }

    public Members withDigestPassword(String digestPassword) {
        this.setDigestPassword(digestPassword);
        return this;
    }

    public void setDigestPassword(String digestPassword) {
        this.digestPassword = digestPassword;
    }

    public String getResetToken() {
        return resetToken;
    }

    public Members withResetToken(String resetToken) {
        this.setResetToken(resetToken);
        return this;
    }

    public void setResetToken(String resetToken) {
        this.resetToken = resetToken;
    }

    public String getPhone() {
        return phone;
    }

    public Members withPhone(String phone) {
        this.setPhone(phone);
        return this;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getCompanyId() {
        return companyId;
    }

    public Members withCompanyId(String companyId) {
        this.setCompanyId(companyId);
        return this;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Members other = (Members) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getEmail() == null ? other.getEmail() == null : this.getEmail().equals(other.getEmail()))
            && (this.getFullName() == null ? other.getFullName() == null : this.getFullName().equals(other.getFullName()))
            && (this.getSubscriberType() == null ? other.getSubscriberType() == null : this.getSubscriberType().equals(other.getSubscriberType()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
            && (this.getLastPopularizeAt() == null ? other.getLastPopularizeAt() == null : this.getLastPopularizeAt().equals(other.getLastPopularizeAt()))
            && (this.getSubscribed() == null ? other.getSubscribed() == null : this.getSubscribed().equals(other.getSubscribed()))
            && (this.getLastPresentedCouponAt() == null ? other.getLastPresentedCouponAt() == null : this.getLastPresentedCouponAt().equals(other.getLastPresentedCouponAt()))
            && (this.getMailable() == null ? other.getMailable() == null : this.getMailable().equals(other.getMailable()))
            && (this.getDigestPassword() == null ? other.getDigestPassword() == null : this.getDigestPassword().equals(other.getDigestPassword()))
            && (this.getResetToken() == null ? other.getResetToken() == null : this.getResetToken().equals(other.getResetToken()))
            && (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getEmail() == null) ? 0 : getEmail().hashCode());
        result = prime * result + ((getFullName() == null) ? 0 : getFullName().hashCode());
        result = prime * result + ((getSubscriberType() == null) ? 0 : getSubscriberType().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getLastPopularizeAt() == null) ? 0 : getLastPopularizeAt().hashCode());
        result = prime * result + ((getSubscribed() == null) ? 0 : getSubscribed().hashCode());
        result = prime * result + ((getLastPresentedCouponAt() == null) ? 0 : getLastPresentedCouponAt().hashCode());
        result = prime * result + ((getMailable() == null) ? 0 : getMailable().hashCode());
        result = prime * result + ((getDigestPassword() == null) ? 0 : getDigestPassword().hashCode());
        result = prime * result + ((getResetToken() == null) ? 0 : getResetToken().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", email=").append(email);
        sb.append(", fullName=").append(fullName);
        sb.append(", subscriberType=").append(subscriberType);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", lastPopularizeAt=").append(lastPopularizeAt);
        sb.append(", subscribed=").append(subscribed);
        sb.append(", lastPresentedCouponAt=").append(lastPresentedCouponAt);
        sb.append(", mailable=").append(mailable);
        sb.append(", digestPassword=").append(digestPassword);
        sb.append(", resetToken=").append(resetToken);
        sb.append(", phone=").append(phone);
        sb.append(", companyId=").append(companyId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}