package cn.kdan.pdf.tech.core.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class MembersExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public MembersExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Object value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Object value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Object value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Object value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Object value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Object value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Object> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Object> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Object value1, Object value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Object value1, Object value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andEmailIsNull() {
            addCriterion("email is null");
            return (Criteria) this;
        }

        public Criteria andEmailIsNotNull() {
            addCriterion("email is not null");
            return (Criteria) this;
        }

        public Criteria andEmailEqualTo(String value) {
            addCriterion("email =", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotEqualTo(String value) {
            addCriterion("email <>", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThan(String value) {
            addCriterion("email >", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThanOrEqualTo(String value) {
            addCriterion("email >=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThan(String value) {
            addCriterion("email <", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThanOrEqualTo(String value) {
            addCriterion("email <=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLike(String value) {
            addCriterion("email like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotLike(String value) {
            addCriterion("email not like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailIn(List<String> values) {
            addCriterion("email in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotIn(List<String> values) {
            addCriterion("email not in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailBetween(String value1, String value2) {
            addCriterion("email between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotBetween(String value1, String value2) {
            addCriterion("email not between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andFullNameIsNull() {
            addCriterion("full_name is null");
            return (Criteria) this;
        }

        public Criteria andFullNameIsNotNull() {
            addCriterion("full_name is not null");
            return (Criteria) this;
        }

        public Criteria andFullNameEqualTo(String value) {
            addCriterion("full_name =", value, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameNotEqualTo(String value) {
            addCriterion("full_name <>", value, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameGreaterThan(String value) {
            addCriterion("full_name >", value, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameGreaterThanOrEqualTo(String value) {
            addCriterion("full_name >=", value, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameLessThan(String value) {
            addCriterion("full_name <", value, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameLessThanOrEqualTo(String value) {
            addCriterion("full_name <=", value, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameLike(String value) {
            addCriterion("full_name like", value, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameNotLike(String value) {
            addCriterion("full_name not like", value, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameIn(List<String> values) {
            addCriterion("full_name in", values, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameNotIn(List<String> values) {
            addCriterion("full_name not in", values, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameBetween(String value1, String value2) {
            addCriterion("full_name between", value1, value2, "fullName");
            return (Criteria) this;
        }

        public Criteria andFullNameNotBetween(String value1, String value2) {
            addCriterion("full_name not between", value1, value2, "fullName");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeIsNull() {
            addCriterion("subscriber_type is null");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeIsNotNull() {
            addCriterion("subscriber_type is not null");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeEqualTo(Integer value) {
            addCriterion("subscriber_type =", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeNotEqualTo(Integer value) {
            addCriterion("subscriber_type <>", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeGreaterThan(Integer value) {
            addCriterion("subscriber_type >", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("subscriber_type >=", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeLessThan(Integer value) {
            addCriterion("subscriber_type <", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeLessThanOrEqualTo(Integer value) {
            addCriterion("subscriber_type <=", value, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeIn(List<Integer> values) {
            addCriterion("subscriber_type in", values, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeNotIn(List<Integer> values) {
            addCriterion("subscriber_type not in", values, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeBetween(Integer value1, Integer value2) {
            addCriterion("subscriber_type between", value1, value2, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andSubscriberTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("subscriber_type not between", value1, value2, "subscriberType");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNull() {
            addCriterion("updated_at is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNotNull() {
            addCriterion("updated_at is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtEqualTo(Date value) {
            addCriterion("updated_at =", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotEqualTo(Date value) {
            addCriterion("updated_at <>", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThan(Date value) {
            addCriterion("updated_at >", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("updated_at >=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThan(Date value) {
            addCriterion("updated_at <", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThanOrEqualTo(Date value) {
            addCriterion("updated_at <=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIn(List<Date> values) {
            addCriterion("updated_at in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotIn(List<Date> values) {
            addCriterion("updated_at not in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtBetween(Date value1, Date value2) {
            addCriterion("updated_at between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotBetween(Date value1, Date value2) {
            addCriterion("updated_at not between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtIsNull() {
            addCriterion("last_popularize_at is null");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtIsNotNull() {
            addCriterion("last_popularize_at is not null");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtEqualTo(Date value) {
            addCriterion("last_popularize_at =", value, "lastPopularizeAt");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtNotEqualTo(Date value) {
            addCriterion("last_popularize_at <>", value, "lastPopularizeAt");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtGreaterThan(Date value) {
            addCriterion("last_popularize_at >", value, "lastPopularizeAt");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtGreaterThanOrEqualTo(Date value) {
            addCriterion("last_popularize_at >=", value, "lastPopularizeAt");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtLessThan(Date value) {
            addCriterion("last_popularize_at <", value, "lastPopularizeAt");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtLessThanOrEqualTo(Date value) {
            addCriterion("last_popularize_at <=", value, "lastPopularizeAt");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtIn(List<Date> values) {
            addCriterion("last_popularize_at in", values, "lastPopularizeAt");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtNotIn(List<Date> values) {
            addCriterion("last_popularize_at not in", values, "lastPopularizeAt");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtBetween(Date value1, Date value2) {
            addCriterion("last_popularize_at between", value1, value2, "lastPopularizeAt");
            return (Criteria) this;
        }

        public Criteria andLastPopularizeAtNotBetween(Date value1, Date value2) {
            addCriterion("last_popularize_at not between", value1, value2, "lastPopularizeAt");
            return (Criteria) this;
        }

        public Criteria andSubscribedIsNull() {
            addCriterion("subscribed is null");
            return (Criteria) this;
        }

        public Criteria andSubscribedIsNotNull() {
            addCriterion("subscribed is not null");
            return (Criteria) this;
        }

        public Criteria andSubscribedEqualTo(Integer value) {
            addCriterion("subscribed =", value, "subscribed");
            return (Criteria) this;
        }

        public Criteria andSubscribedNotEqualTo(Integer value) {
            addCriterion("subscribed <>", value, "subscribed");
            return (Criteria) this;
        }

        public Criteria andSubscribedGreaterThan(Integer value) {
            addCriterion("subscribed >", value, "subscribed");
            return (Criteria) this;
        }

        public Criteria andSubscribedGreaterThanOrEqualTo(Integer value) {
            addCriterion("subscribed >=", value, "subscribed");
            return (Criteria) this;
        }

        public Criteria andSubscribedLessThan(Integer value) {
            addCriterion("subscribed <", value, "subscribed");
            return (Criteria) this;
        }

        public Criteria andSubscribedLessThanOrEqualTo(Integer value) {
            addCriterion("subscribed <=", value, "subscribed");
            return (Criteria) this;
        }

        public Criteria andSubscribedIn(List<Integer> values) {
            addCriterion("subscribed in", values, "subscribed");
            return (Criteria) this;
        }

        public Criteria andSubscribedNotIn(List<Integer> values) {
            addCriterion("subscribed not in", values, "subscribed");
            return (Criteria) this;
        }

        public Criteria andSubscribedBetween(Integer value1, Integer value2) {
            addCriterion("subscribed between", value1, value2, "subscribed");
            return (Criteria) this;
        }

        public Criteria andSubscribedNotBetween(Integer value1, Integer value2) {
            addCriterion("subscribed not between", value1, value2, "subscribed");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtIsNull() {
            addCriterion("last_presented_coupon_at is null");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtIsNotNull() {
            addCriterion("last_presented_coupon_at is not null");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtEqualTo(Date value) {
            addCriterion("last_presented_coupon_at =", value, "lastPresentedCouponAt");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtNotEqualTo(Date value) {
            addCriterion("last_presented_coupon_at <>", value, "lastPresentedCouponAt");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtGreaterThan(Date value) {
            addCriterion("last_presented_coupon_at >", value, "lastPresentedCouponAt");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtGreaterThanOrEqualTo(Date value) {
            addCriterion("last_presented_coupon_at >=", value, "lastPresentedCouponAt");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtLessThan(Date value) {
            addCriterion("last_presented_coupon_at <", value, "lastPresentedCouponAt");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtLessThanOrEqualTo(Date value) {
            addCriterion("last_presented_coupon_at <=", value, "lastPresentedCouponAt");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtIn(List<Date> values) {
            addCriterion("last_presented_coupon_at in", values, "lastPresentedCouponAt");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtNotIn(List<Date> values) {
            addCriterion("last_presented_coupon_at not in", values, "lastPresentedCouponAt");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtBetween(Date value1, Date value2) {
            addCriterion("last_presented_coupon_at between", value1, value2, "lastPresentedCouponAt");
            return (Criteria) this;
        }

        public Criteria andLastPresentedCouponAtNotBetween(Date value1, Date value2) {
            addCriterion("last_presented_coupon_at not between", value1, value2, "lastPresentedCouponAt");
            return (Criteria) this;
        }

        public Criteria andMailableIsNull() {
            addCriterion("mailable is null");
            return (Criteria) this;
        }

        public Criteria andMailableIsNotNull() {
            addCriterion("mailable is not null");
            return (Criteria) this;
        }

        public Criteria andMailableEqualTo(Integer value) {
            addCriterion("mailable =", value, "mailable");
            return (Criteria) this;
        }

        public Criteria andMailableNotEqualTo(Integer value) {
            addCriterion("mailable <>", value, "mailable");
            return (Criteria) this;
        }

        public Criteria andMailableGreaterThan(Integer value) {
            addCriterion("mailable >", value, "mailable");
            return (Criteria) this;
        }

        public Criteria andMailableGreaterThanOrEqualTo(Integer value) {
            addCriterion("mailable >=", value, "mailable");
            return (Criteria) this;
        }

        public Criteria andMailableLessThan(Integer value) {
            addCriterion("mailable <", value, "mailable");
            return (Criteria) this;
        }

        public Criteria andMailableLessThanOrEqualTo(Integer value) {
            addCriterion("mailable <=", value, "mailable");
            return (Criteria) this;
        }

        public Criteria andMailableIn(List<Integer> values) {
            addCriterion("mailable in", values, "mailable");
            return (Criteria) this;
        }

        public Criteria andMailableNotIn(List<Integer> values) {
            addCriterion("mailable not in", values, "mailable");
            return (Criteria) this;
        }

        public Criteria andMailableBetween(Integer value1, Integer value2) {
            addCriterion("mailable between", value1, value2, "mailable");
            return (Criteria) this;
        }

        public Criteria andMailableNotBetween(Integer value1, Integer value2) {
            addCriterion("mailable not between", value1, value2, "mailable");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordIsNull() {
            addCriterion("digest_password is null");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordIsNotNull() {
            addCriterion("digest_password is not null");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordEqualTo(String value) {
            addCriterion("digest_password =", value, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordNotEqualTo(String value) {
            addCriterion("digest_password <>", value, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordGreaterThan(String value) {
            addCriterion("digest_password >", value, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordGreaterThanOrEqualTo(String value) {
            addCriterion("digest_password >=", value, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordLessThan(String value) {
            addCriterion("digest_password <", value, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordLessThanOrEqualTo(String value) {
            addCriterion("digest_password <=", value, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordLike(String value) {
            addCriterion("digest_password like", value, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordNotLike(String value) {
            addCriterion("digest_password not like", value, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordIn(List<String> values) {
            addCriterion("digest_password in", values, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordNotIn(List<String> values) {
            addCriterion("digest_password not in", values, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordBetween(String value1, String value2) {
            addCriterion("digest_password between", value1, value2, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordNotBetween(String value1, String value2) {
            addCriterion("digest_password not between", value1, value2, "digestPassword");
            return (Criteria) this;
        }

        public Criteria andResetTokenIsNull() {
            addCriterion("reset_token is null");
            return (Criteria) this;
        }

        public Criteria andResetTokenIsNotNull() {
            addCriterion("reset_token is not null");
            return (Criteria) this;
        }

        public Criteria andResetTokenEqualTo(String value) {
            addCriterion("reset_token =", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenNotEqualTo(String value) {
            addCriterion("reset_token <>", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenGreaterThan(String value) {
            addCriterion("reset_token >", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenGreaterThanOrEqualTo(String value) {
            addCriterion("reset_token >=", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenLessThan(String value) {
            addCriterion("reset_token <", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenLessThanOrEqualTo(String value) {
            addCriterion("reset_token <=", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenLike(String value) {
            addCriterion("reset_token like", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenNotLike(String value) {
            addCriterion("reset_token not like", value, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenIn(List<String> values) {
            addCriterion("reset_token in", values, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenNotIn(List<String> values) {
            addCriterion("reset_token not in", values, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenBetween(String value1, String value2) {
            addCriterion("reset_token between", value1, value2, "resetToken");
            return (Criteria) this;
        }

        public Criteria andResetTokenNotBetween(String value1, String value2) {
            addCriterion("reset_token not between", value1, value2, "resetToken");
            return (Criteria) this;
        }

        public Criteria andPhoneIsNull() {
            addCriterion("phone is null");
            return (Criteria) this;
        }

        public Criteria andPhoneIsNotNull() {
            addCriterion("phone is not null");
            return (Criteria) this;
        }

        public Criteria andPhoneEqualTo(String value) {
            addCriterion("phone =", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotEqualTo(String value) {
            addCriterion("phone <>", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneGreaterThan(String value) {
            addCriterion("phone >", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("phone >=", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLessThan(String value) {
            addCriterion("phone <", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLessThanOrEqualTo(String value) {
            addCriterion("phone <=", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLike(String value) {
            addCriterion("phone like", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotLike(String value) {
            addCriterion("phone not like", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneIn(List<String> values) {
            addCriterion("phone in", values, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotIn(List<String> values) {
            addCriterion("phone not in", values, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneBetween(String value1, String value2) {
            addCriterion("phone between", value1, value2, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotBetween(String value1, String value2) {
            addCriterion("phone not between", value1, value2, "phone");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNull() {
            addCriterion("company_id is null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNotNull() {
            addCriterion("company_id is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdEqualTo(String value) {
            addCriterion("company_id =", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotEqualTo(String value) {
            addCriterion("company_id <>", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThan(String value) {
            addCriterion("company_id >", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThanOrEqualTo(String value) {
            addCriterion("company_id >=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThan(String value) {
            addCriterion("company_id <", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThanOrEqualTo(String value) {
            addCriterion("company_id <=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLike(String value) {
            addCriterion("company_id like", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotLike(String value) {
            addCriterion("company_id not like", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIn(List<String> values) {
            addCriterion("company_id in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotIn(List<String> values) {
            addCriterion("company_id not in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdBetween(String value1, String value2) {
            addCriterion("company_id between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotBetween(String value1, String value2) {
            addCriterion("company_id not between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andEmailLikeInsensitive(String value) {
            addCriterion("upper(email) like", value.toUpperCase(), "email");
            return (Criteria) this;
        }

        public Criteria andFullNameLikeInsensitive(String value) {
            addCriterion("upper(full_name) like", value.toUpperCase(), "fullName");
            return (Criteria) this;
        }

        public Criteria andDigestPasswordLikeInsensitive(String value) {
            addCriterion("upper(digest_password) like", value.toUpperCase(), "digestPassword");
            return (Criteria) this;
        }

        public Criteria andResetTokenLikeInsensitive(String value) {
            addCriterion("upper(reset_token) like", value.toUpperCase(), "resetToken");
            return (Criteria) this;
        }

        public Criteria andPhoneLikeInsensitive(String value) {
            addCriterion("upper(phone) like", value.toUpperCase(), "phone");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLikeInsensitive(String value) {
            addCriterion("upper(company_id) like", value.toUpperCase(), "companyId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}