package cn.kdan.pdf.tech.core.model;

import java.io.Serializable;
import java.util.Date;

public class OemLicenseCode implements Serializable {
    private String id;

    private String memberId;

    private String cdkey;

    private Short times;

    private Short usedTimes;

    private Date createdAt;

    private Date updatedAt;

    private Integer productId;

    private String companyId;

    private Short type;

    private Date endUpAt;

    private Integer validFlag;

    private Date activatedDate;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public OemLicenseCode withId(String id) {
        this.setId(id);
        return this;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMemberId() {
        return memberId;
    }

    public OemLicenseCode withMemberId(String memberId) {
        this.setMemberId(memberId);
        return this;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getCdkey() {
        return cdkey;
    }

    public OemLicenseCode withCdkey(String cdkey) {
        this.setCdkey(cdkey);
        return this;
    }

    public void setCdkey(String cdkey) {
        this.cdkey = cdkey;
    }

    public Short getTimes() {
        return times;
    }

    public OemLicenseCode withTimes(Short times) {
        this.setTimes(times);
        return this;
    }

    public void setTimes(Short times) {
        this.times = times;
    }

    public Short getUsedTimes() {
        return usedTimes;
    }

    public OemLicenseCode withUsedTimes(Short usedTimes) {
        this.setUsedTimes(usedTimes);
        return this;
    }

    public void setUsedTimes(Short usedTimes) {
        this.usedTimes = usedTimes;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public OemLicenseCode withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public OemLicenseCode withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getProductId() {
        return productId;
    }

    public OemLicenseCode withProductId(Integer productId) {
        this.setProductId(productId);
        return this;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public OemLicenseCode withCompanyId(String companyId) {
        this.setCompanyId(companyId);
        return this;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public Short getType() {
        return type;
    }

    public OemLicenseCode withType(Short type) {
        this.setType(type);
        return this;
    }

    public void setType(Short type) {
        this.type = type;
    }

    public Date getEndUpAt() {
        return endUpAt;
    }

    public OemLicenseCode withEndUpAt(Date endUpAt) {
        this.setEndUpAt(endUpAt);
        return this;
    }

    public void setEndUpAt(Date endUpAt) {
        this.endUpAt = endUpAt;
    }

    public Integer getValidFlag() {
        return validFlag;
    }

    public OemLicenseCode withValidFlag(Integer validFlag) {
        this.setValidFlag(validFlag);
        return this;
    }

    public void setValidFlag(Integer validFlag) {
        this.validFlag = validFlag;
    }

    public Date getActivatedDate() {
        return activatedDate;
    }

    public OemLicenseCode withActivatedDate(Date activatedDate) {
        this.setActivatedDate(activatedDate);
        return this;
    }

    public void setActivatedDate(Date activatedDate) {
        this.activatedDate = activatedDate;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        OemLicenseCode other = (OemLicenseCode) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
            && (this.getCdkey() == null ? other.getCdkey() == null : this.getCdkey().equals(other.getCdkey()))
            && (this.getTimes() == null ? other.getTimes() == null : this.getTimes().equals(other.getTimes()))
            && (this.getUsedTimes() == null ? other.getUsedTimes() == null : this.getUsedTimes().equals(other.getUsedTimes()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
            && (this.getProductId() == null ? other.getProductId() == null : this.getProductId().equals(other.getProductId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getEndUpAt() == null ? other.getEndUpAt() == null : this.getEndUpAt().equals(other.getEndUpAt()))
            && (this.getValidFlag() == null ? other.getValidFlag() == null : this.getValidFlag().equals(other.getValidFlag()))
            && (this.getActivatedDate() == null ? other.getActivatedDate() == null : this.getActivatedDate().equals(other.getActivatedDate()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getCdkey() == null) ? 0 : getCdkey().hashCode());
        result = prime * result + ((getTimes() == null) ? 0 : getTimes().hashCode());
        result = prime * result + ((getUsedTimes() == null) ? 0 : getUsedTimes().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getProductId() == null) ? 0 : getProductId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getEndUpAt() == null) ? 0 : getEndUpAt().hashCode());
        result = prime * result + ((getValidFlag() == null) ? 0 : getValidFlag().hashCode());
        result = prime * result + ((getActivatedDate() == null) ? 0 : getActivatedDate().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", memberId=").append(memberId);
        sb.append(", cdkey=").append(cdkey);
        sb.append(", times=").append(times);
        sb.append(", usedTimes=").append(usedTimes);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", productId=").append(productId);
        sb.append(", companyId=").append(companyId);
        sb.append(", type=").append(type);
        sb.append(", endUpAt=").append(endUpAt);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", activatedDate=").append(activatedDate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}