package cn.kdan.pdf.tech.core.model;

import java.util.ArrayList;
import java.util.List;

public class ScheduleSettingExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public ScheduleSettingExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andScheduleSettingIdIsNull() {
            addCriterion("schedule_setting_id is null");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdIsNotNull() {
            addCriterion("schedule_setting_id is not null");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdEqualTo(String value) {
            addCriterion("schedule_setting_id =", value, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdNotEqualTo(String value) {
            addCriterion("schedule_setting_id <>", value, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdGreaterThan(String value) {
            addCriterion("schedule_setting_id >", value, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdGreaterThanOrEqualTo(String value) {
            addCriterion("schedule_setting_id >=", value, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdLessThan(String value) {
            addCriterion("schedule_setting_id <", value, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdLessThanOrEqualTo(String value) {
            addCriterion("schedule_setting_id <=", value, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdLike(String value) {
            addCriterion("schedule_setting_id like", value, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdNotLike(String value) {
            addCriterion("schedule_setting_id not like", value, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdIn(List<String> values) {
            addCriterion("schedule_setting_id in", values, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdNotIn(List<String> values) {
            addCriterion("schedule_setting_id not in", values, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdBetween(String value1, String value2) {
            addCriterion("schedule_setting_id between", value1, value2, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdNotBetween(String value1, String value2) {
            addCriterion("schedule_setting_id not between", value1, value2, "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("\"type\" is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("\"type\" is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(String value) {
            addCriterion("\"type\" =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(String value) {
            addCriterion("\"type\" <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(String value) {
            addCriterion("\"type\" >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(String value) {
            addCriterion("\"type\" >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(String value) {
            addCriterion("\"type\" <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(String value) {
            addCriterion("\"type\" <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLike(String value) {
            addCriterion("\"type\" like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotLike(String value) {
            addCriterion("\"type\" not like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<String> values) {
            addCriterion("\"type\" in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<String> values) {
            addCriterion("\"type\" not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(String value1, String value2) {
            addCriterion("\"type\" between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(String value1, String value2) {
            addCriterion("\"type\" not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andDayIsNull() {
            addCriterion("\"day\" is null");
            return (Criteria) this;
        }

        public Criteria andDayIsNotNull() {
            addCriterion("\"day\" is not null");
            return (Criteria) this;
        }

        public Criteria andDayEqualTo(String value) {
            addCriterion("\"day\" =", value, "day");
            return (Criteria) this;
        }

        public Criteria andDayNotEqualTo(String value) {
            addCriterion("\"day\" <>", value, "day");
            return (Criteria) this;
        }

        public Criteria andDayGreaterThan(String value) {
            addCriterion("\"day\" >", value, "day");
            return (Criteria) this;
        }

        public Criteria andDayGreaterThanOrEqualTo(String value) {
            addCriterion("\"day\" >=", value, "day");
            return (Criteria) this;
        }

        public Criteria andDayLessThan(String value) {
            addCriterion("\"day\" <", value, "day");
            return (Criteria) this;
        }

        public Criteria andDayLessThanOrEqualTo(String value) {
            addCriterion("\"day\" <=", value, "day");
            return (Criteria) this;
        }

        public Criteria andDayLike(String value) {
            addCriterion("\"day\" like", value, "day");
            return (Criteria) this;
        }

        public Criteria andDayNotLike(String value) {
            addCriterion("\"day\" not like", value, "day");
            return (Criteria) this;
        }

        public Criteria andDayIn(List<String> values) {
            addCriterion("\"day\" in", values, "day");
            return (Criteria) this;
        }

        public Criteria andDayNotIn(List<String> values) {
            addCriterion("\"day\" not in", values, "day");
            return (Criteria) this;
        }

        public Criteria andDayBetween(String value1, String value2) {
            addCriterion("\"day\" between", value1, value2, "day");
            return (Criteria) this;
        }

        public Criteria andDayNotBetween(String value1, String value2) {
            addCriterion("\"day\" not between", value1, value2, "day");
            return (Criteria) this;
        }

        public Criteria andMonthIsNull() {
            addCriterion("\"month\" is null");
            return (Criteria) this;
        }

        public Criteria andMonthIsNotNull() {
            addCriterion("\"month\" is not null");
            return (Criteria) this;
        }

        public Criteria andMonthEqualTo(String value) {
            addCriterion("\"month\" =", value, "month");
            return (Criteria) this;
        }

        public Criteria andMonthNotEqualTo(String value) {
            addCriterion("\"month\" <>", value, "month");
            return (Criteria) this;
        }

        public Criteria andMonthGreaterThan(String value) {
            addCriterion("\"month\" >", value, "month");
            return (Criteria) this;
        }

        public Criteria andMonthGreaterThanOrEqualTo(String value) {
            addCriterion("\"month\" >=", value, "month");
            return (Criteria) this;
        }

        public Criteria andMonthLessThan(String value) {
            addCriterion("\"month\" <", value, "month");
            return (Criteria) this;
        }

        public Criteria andMonthLessThanOrEqualTo(String value) {
            addCriterion("\"month\" <=", value, "month");
            return (Criteria) this;
        }

        public Criteria andMonthLike(String value) {
            addCriterion("\"month\" like", value, "month");
            return (Criteria) this;
        }

        public Criteria andMonthNotLike(String value) {
            addCriterion("\"month\" not like", value, "month");
            return (Criteria) this;
        }

        public Criteria andMonthIn(List<String> values) {
            addCriterion("\"month\" in", values, "month");
            return (Criteria) this;
        }

        public Criteria andMonthNotIn(List<String> values) {
            addCriterion("\"month\" not in", values, "month");
            return (Criteria) this;
        }

        public Criteria andMonthBetween(String value1, String value2) {
            addCriterion("\"month\" between", value1, value2, "month");
            return (Criteria) this;
        }

        public Criteria andMonthNotBetween(String value1, String value2) {
            addCriterion("\"month\" not between", value1, value2, "month");
            return (Criteria) this;
        }

        public Criteria andTimeIsNull() {
            addCriterion("\"time\" is null");
            return (Criteria) this;
        }

        public Criteria andTimeIsNotNull() {
            addCriterion("\"time\" is not null");
            return (Criteria) this;
        }

        public Criteria andTimeEqualTo(String value) {
            addCriterion("\"time\" =", value, "time");
            return (Criteria) this;
        }

        public Criteria andTimeNotEqualTo(String value) {
            addCriterion("\"time\" <>", value, "time");
            return (Criteria) this;
        }

        public Criteria andTimeGreaterThan(String value) {
            addCriterion("\"time\" >", value, "time");
            return (Criteria) this;
        }

        public Criteria andTimeGreaterThanOrEqualTo(String value) {
            addCriterion("\"time\" >=", value, "time");
            return (Criteria) this;
        }

        public Criteria andTimeLessThan(String value) {
            addCriterion("\"time\" <", value, "time");
            return (Criteria) this;
        }

        public Criteria andTimeLessThanOrEqualTo(String value) {
            addCriterion("\"time\" <=", value, "time");
            return (Criteria) this;
        }

        public Criteria andTimeLike(String value) {
            addCriterion("\"time\" like", value, "time");
            return (Criteria) this;
        }

        public Criteria andTimeNotLike(String value) {
            addCriterion("\"time\" not like", value, "time");
            return (Criteria) this;
        }

        public Criteria andTimeIn(List<String> values) {
            addCriterion("\"time\" in", values, "time");
            return (Criteria) this;
        }

        public Criteria andTimeNotIn(List<String> values) {
            addCriterion("\"time\" not in", values, "time");
            return (Criteria) this;
        }

        public Criteria andTimeBetween(String value1, String value2) {
            addCriterion("\"time\" between", value1, value2, "time");
            return (Criteria) this;
        }

        public Criteria andTimeNotBetween(String value1, String value2) {
            addCriterion("\"time\" not between", value1, value2, "time");
            return (Criteria) this;
        }

        public Criteria andTimezoneIsNull() {
            addCriterion("timezone is null");
            return (Criteria) this;
        }

        public Criteria andTimezoneIsNotNull() {
            addCriterion("timezone is not null");
            return (Criteria) this;
        }

        public Criteria andTimezoneEqualTo(String value) {
            addCriterion("timezone =", value, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneNotEqualTo(String value) {
            addCriterion("timezone <>", value, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneGreaterThan(String value) {
            addCriterion("timezone >", value, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneGreaterThanOrEqualTo(String value) {
            addCriterion("timezone >=", value, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneLessThan(String value) {
            addCriterion("timezone <", value, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneLessThanOrEqualTo(String value) {
            addCriterion("timezone <=", value, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneLike(String value) {
            addCriterion("timezone like", value, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneNotLike(String value) {
            addCriterion("timezone not like", value, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneIn(List<String> values) {
            addCriterion("timezone in", values, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneNotIn(List<String> values) {
            addCriterion("timezone not in", values, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneBetween(String value1, String value2) {
            addCriterion("timezone between", value1, value2, "timezone");
            return (Criteria) this;
        }

        public Criteria andTimezoneNotBetween(String value1, String value2) {
            addCriterion("timezone not between", value1, value2, "timezone");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdIsNull() {
            addCriterion("directory_id is null");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdIsNotNull() {
            addCriterion("directory_id is not null");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdEqualTo(String value) {
            addCriterion("directory_id =", value, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdNotEqualTo(String value) {
            addCriterion("directory_id <>", value, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdGreaterThan(String value) {
            addCriterion("directory_id >", value, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdGreaterThanOrEqualTo(String value) {
            addCriterion("directory_id >=", value, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdLessThan(String value) {
            addCriterion("directory_id <", value, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdLessThanOrEqualTo(String value) {
            addCriterion("directory_id <=", value, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdLike(String value) {
            addCriterion("directory_id like", value, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdNotLike(String value) {
            addCriterion("directory_id not like", value, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdIn(List<String> values) {
            addCriterion("directory_id in", values, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdNotIn(List<String> values) {
            addCriterion("directory_id not in", values, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdBetween(String value1, String value2) {
            addCriterion("directory_id between", value1, value2, "directoryId");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdNotBetween(String value1, String value2) {
            addCriterion("directory_id not between", value1, value2, "directoryId");
            return (Criteria) this;
        }

        public Criteria andScheduleSettingIdLikeInsensitive(String value) {
            addCriterion("upper(schedule_setting_id) like", value.toUpperCase(), "scheduleSettingId");
            return (Criteria) this;
        }

        public Criteria andTypeLikeInsensitive(String value) {
            addCriterion("upper(\"type\") like", value.toUpperCase(), "type");
            return (Criteria) this;
        }

        public Criteria andDayLikeInsensitive(String value) {
            addCriterion("upper(\"day\") like", value.toUpperCase(), "day");
            return (Criteria) this;
        }

        public Criteria andMonthLikeInsensitive(String value) {
            addCriterion("upper(\"month\") like", value.toUpperCase(), "month");
            return (Criteria) this;
        }

        public Criteria andTimeLikeInsensitive(String value) {
            addCriterion("upper(\"time\") like", value.toUpperCase(), "time");
            return (Criteria) this;
        }

        public Criteria andTimezoneLikeInsensitive(String value) {
            addCriterion("upper(timezone) like", value.toUpperCase(), "timezone");
            return (Criteria) this;
        }

        public Criteria andDirectoryIdLikeInsensitive(String value) {
            addCriterion("upper(directory_id) like", value.toUpperCase(), "directoryId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}