package cn.kdan.pdf.tech.core.pojo.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
public class AddSyncDTO {

    @NotEmpty(message = "directoryId cannot be blank")
    private String directoryId;
    @NotEmpty(message = "applicationID cannot be blank")
    private String applicationID;
    @NotEmpty(message = "clientSecrets cannot be blank")
    private String clientSecrets;
    @NotEmpty(message = "tenantId cannot be blank")
    private String tenantId;
    @NotEmpty(message = "scope cannot be blank")
    private String scope;
    /**
     * 分配产品信息
     */
    private List<CreateTeamDTO.Product> productList;
    /**
     * scope为指定组的时候
     */
    private List<String> groupIds;
}
