package cn.kdan.pdf.tech.core.pojo.vo;

import lombok.Data;

/**
 * @author Bob
 */
@Data
public class DashboardChartStatisticVO {

    /**
     * 日期
     */
    private String date;
    /**
     * license数量
     */
    private Licence licences;

    @Data
    public static class Licence {
        /**
         * 已激活序列码
         */
        private Integer activatedLicense;
        /**
         * 已授权序列码
         */
        private Integer assignedLicenses;
    }

}
