package cn.kdan.pdf.tech.core.pojo.vo;

import cn.kdan.pdf.tech.core.converter.SSOMemberStatusConverter;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.BooleanEnum;
import lombok.Data;

import java.io.Serializable;

/**
 * @author tangxiangan
 */
@Data
@ContentStyle(
        wrapped = BooleanEnum.TRUE)
public class SSOMemberVO implements Serializable {

    @ExcelIgnore
    private String id;

    @ExcelProperty(value = "User Name")
    @ColumnWidth(34)
    private String fullName;

    @ExcelProperty(value = "Email")
    @ColumnWidth(34)
    private String email;


    @ExcelProperty(converter = SSOMemberStatusConverter.class,value = "Status")
    @ColumnWidth(34)
    private String validFlag;

    @ExcelProperty(value = "LoginTime")
    @ColumnWidth(34)
    private String updatedAt;


}
