package cn.kdan.pdf.tech.core.service;

import cn.kdan.pdf.tech.core.enums.DeviceStatusEnum;
import cn.kdan.pdf.tech.core.model.OemDevice;

/**
 * @author tangxiangan
 */
public interface OemDeviceService {


    OemDevice getDeviceByUniqueSn(String uniqueSn, Integer appId);

    void insert(OemDevice device);

    void updateSelective(OemDevice device);

    void update(OemDevice device);

    void expireDevice(String cdKey, DeviceStatusEnum status);

    void invalidateDevice(String cdKey);

    long getUseDeviceCount(String cdKey);
}
