package cn.kdan.pdf.tech.core.service;

import cn.kdan.pdf.tech.core.model.ScheduleSetting;
import cn.kdan.pdf.tech.core.pojo.dto.ScheduleSettingDTO;

import java.util.List;

public interface ScheduleSettingService {
    /**
     * 根据目录id查询
     *
     * @param directoryId directoryId
     * @return List
     */
    List<ScheduleSetting> listByDirectoryId(String directoryId);

    /**
     * 查询所有配置创建定时任务
     * @return
     */
    List<ScheduleSetting> list();

    /**
     * 添加同步and修改同步设置
     * @param scheduleSettingDTO scheduleSettingDTO
     */
    void syncSetting(ScheduleSettingDTO scheduleSettingDTO);

    void deleteByDirectoryId(String directoryId);
}
