package cn.kdan.pdf.tech.core.service.impl;

import cn.kdan.pdf.tech.core.mapper.OemLogMapper;
import cn.kdan.pdf.tech.core.model.OemDevice;
import cn.kdan.pdf.tech.core.model.OemLog;
import cn.kdan.pdf.tech.core.service.OemLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


@Slf4j
@Service
@Transactional
public class OemLogServiceImpl implements OemLogService {

    @Autowired
    private OemLogMapper logMapper;
    public void insert(OemLog log) {
        logMapper.insert(log);
    }
}
