package cn.kdan.pdf.tech.core.utils;

import constant.CommonConstant;
import exception.BackendRuntimeException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;


@Component
@Slf4j
public class EmailTemplateUtils {

    public String getTemplateHtml(){
        try {
            //读取邮件表头和表尾
            String  templateHtml = IOUtils.readFile(this.getClass().getClassLoader().getResourceAsStream("signHtml.txt"));
            return templateHtml;
        } catch (Exception e) {
            log.error("get TemplateHtml error : " + e.getMessage(), e);
            throw new BackendRuntimeException(CommonConstant.EXCEPTION_MSG_EMAIL_INVALID);
        }
    }

}
