package constant;

public interface CommonConstant {

    // 字符串分割符
    String STRING_SIGN_COMMA = ",";
    String STRING_SIGN_PERIOD = ".";
    String STRING_SIGN_COLON = ":";
    String STRING_SIGN_STAR = "*";
    String STRING_UNDERLINE = "_";
    String STRING_VIRGULE = "/";
    String STRIKE_THROUGH = "-";
    String STRING_VERTICAL = "|";
    String STRING_PERCENT = "%";
    String STRING_WAVE = "~";
    String STRING_ENTER = "\n";
    String STRING_EMPTY = "";
    String STRING_THROUGH_AND_SIGN_STAR = "-*";
    String STRING_AT = "@";
    String EQUALS_STR = "=";

    String STRING_IMAGE = "image";

    String STRING_CODE = "code";

    String ENCODING_UTF8 = "utf-8";

    String CODE_OK = "ok";

    String SUCCESS_CODE = "200";

    String AUTH_TOKEN = "x-auth-token";

    String STRING_PNG = "png";
    String STRING_NO_CACHE = "No-cache";
    int SUCCESS = 200;
    String RESULT_SUCCESS = "success";

    String EXCEPTION_MSG_EMAIL_INVALID = "Invalid Email Addresses";

    String DEFAULT_ENCRYPT_KEY = "1234567890123456";
    String DEFAULT_ENCRYPT_IV_KEY = "6543********4321";
    /**
     * 参数错误状态
     */
    int EXCEPTION_CODE_PARAMETERS_ERROR = 300;

    int ERROR = 400; // 400 失败

    /**
     * 服务错误状态
     */
    int EXCEPTION_CODE_SERVER_ERROR = 500;

    /**
     * 运行错误状态
     */
    int EXCEPTION_CODE_RUNTIME_ERROR = 700;
    String EXCEPTION_MSG_CURRENT_USER_NO_PERMISSION = "当前用户不具备操作权限";

    /**
     * 分页默认第一页
     */
    int PAGENUM = 1;

    /**
     * 分页默认每页显示10条
     */
    int PAGESIZE = 10;

    /**
     * 分页默认排序规则
     */
    String ORDERBYCLAUSE = "create_time desc";

    String verifyMessage = "您正在%s，验证码为%s，十五分钟后失效。请您按照提示填写验证码，切勿将验证码泄露于他人。";

    String resetPasswordEmailTemplate = "<p>尊敬的用户您好：</p>\n" +
            "<p>请点击下方的链接以便对您的17PDF Reader(Staging)账号密码进行重置</p>\n" +
            "<table class=\"btn-primary\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\n" +
            "  <tr>\n" +
            "    <td>\n" +
            "    <a href=\"%s\"> <button>重置密码</button></a>\n" +
            "    </td>\n" +
            "  </tr>\n" +
            "</table>\n" +
            "<p>如果无法点击，请将链接复制到浏览器地址栏，访问该地址进行重置</p>\n" +
            "<p>系统邮件，请勿回复。</p>";

    /**
     * 邮箱正则验证
     */
    String emailRegex = "^([\\.a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\\.[a-zA-Z0-9_-]{2,3}){1,2})$";


    String signHtml = "<p style=\"font-family:&quot;font-size:14px;background-color:#FFFFFF;\">\n" +
            "\t<span style=\"font-size:16px;font-family:Arial;\">Regards,</span> \n" +
            "</p>\n" +
            "<span style=\"background-color:#FFFFFF;font-size:16px;font-family:Arial;\">Catherine<br />\n" +
            "＝＝＝＝＝＝＝＝<br />\n" +
            "PDF Reader Pro Team<br />\n" +
            "<a href=\"https://www.pdfreaderpro.com/\" target=\"_blank\">https://www.pdfreaderpro.com</a><br />\n" +
            "<a href=\"https://www.pdfreaderpro.com/mac\" target=\"_blank\">Mac</a> <a href=\"https://www.pdfreaderpro.com/ios\" target=\"_blank\">iOS</a> <a href=\"https://www.pdfreaderpro.com/android\" target=\"_blank\">Android</a> <a href=\"https://www.pdfreaderpro.com/windows\" target=\"_blank\">Windows</a><br />\n" +
            "<a href=\"https://apps.apple.com/us/developer/pdf-technologies-inc/id1263126485\" target=\"_blank\">AppStore</a> <a href=\"https://play.google.com/store/apps/developer?id=PDF+Technologies,+Inc.&amp;pli=1\" target=\"_blank\">Google Play</a> <a href=\"https://www.pdfreaderpro.com/esign-pdf\" target=\"_blank\">eSignatures</a><br />\n" +
            "<a href=\"https://twitter.com/PDFReaderPro\" target=\"_blank\">Twitter</a>&nbsp;<a href=\"https://www.facebook.com/PDFProApp\" target=\"_blank\">Facebook</a> <a href=\"https://www.pdfreaderpro.com/help\" target=\"_blank\">Free Trial</a> <a href=\"https://www.compdf.com/\" target=\"_blank\">PDF SDK</a></span>";

    String pdfReaderProWindows = "</p>\n" +
            "<p>\n" +
            "\t<span><span style=\"font-size:16px;\"><b><br />\n" +
            "</b></span></span><span style=\"font-family:Arial;\"><span style=\"font-size:10pt;font-weight:bold;\"> \n" +
            "\t<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"ke-zeroborder\">\n" +
            "\t\t<tbody>\n" +
            "\t\t\t<tr>\n" +
            "\t\t\t\t<td width=\"46%\" valign=\"top\">\n" +
            "\t\t\t\t<p style=\"color:#222;\">\n" +
            "\t\t\t\t\t<span style=\"font-size:16px;\">{0}</span>\n" +
            "\t\t\t\t</p>\n" +
            "\t\t\t\t\t<p style=\"color:#333;font-size:16px;\">\n" +
            "\t\t\t\t\t\t1. Download <a href=\"https://www.pdfreaderpro.com/windows/download\" target=\"_blank\">PDF Reader Pro.exe</a>.\n" +
            "\t\t\t\t\t</p>\n" +
            "\t\t\t\t\t<p style=\"color:#333;font-size:16px;\">\n" +
            "\t\t\t\t\t\tInstall and open a PDF file. Click <b>\"Activation\"</b> upper left -&gt; <b>\"Input License Code\"</b>.\n" +
            "\t\t\t\t\t</p>\n" +
            "\t\t\t\t</td>\n" +
            "\t\t\t\t<td align=\"right\" valign=\"top\">\n" +
            "\t\t\t\t\t<img src=\"{1}/license_active_step1.png\" width=\"301\" alt=\"step1-logo\" /> \n" +
            "\t\t\t\t</td>\n" +
            "\t\t\t</tr>\n" +
            "\t\t</tbody>\n" +
            "\t</table>\n" +
            "\t<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"ke-zeroborder\">\n" +
            "\t\t<tbody>\n" +
            "\t\t\t<tr>\n" +
            "\t\t\t\t<td width=\"46%\" valign=\"top\">\n" +
            "\t\t\t\t\t<p style=\"color:#333;font-size:16px;\">\n" +
            "\t\t\t\t\t\t2. Enter the license code and click <b>\"OK\"</b> to activate. Then start your reading experience with PDF Reader Pro.\n" +
            "\t\t\t\t\t</p>\n" +
            "\t\t\t\t\t<p style=\"font-style:italic;color:#666;font-size:16px;\">\n" +
            "\t\t\t\t\t\tNote: If you can't find \"Activation\", please download <a href=\"https://www.pdfreaderpro.com/windows/download\" target=\"_blank\">PDF Reader Pro.exe</a>. Because you don't need to enter license code if you download it from Microsoft Store.\n" +
            "\t\t\t\t\t</p>\n" +
            "\t\t\t\t</td>\n" +
            "\t\t\t\t<td align=\"right\" valign=\"top\">\n" +
            "\t\t\t\t\t<img alt=\"step2-logo\" width=\"300\" src=\" {2}/license_active_step2.png\" /> \n" +
            "\t\t\t\t</td>\n" +
            "\t\t\t</tr>\n" +
            "\t\t\t<tr>\n" +
            "\t\t\t</tr>\n" +
            "\t\t</tbody>\n" +
            "\t</table>\n" +
            "</span></span> \n" +
            "</p>";

    String pdfReaderProMac = "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"ke-zeroborder\">\n" +
            "\t<tbody>\n" +
            "\t\t<tr>\n" +
            "\t\t\t<td width=\"44%\">\n" +
            "\t\t\t\t<p style=\"color:#222;\">\n" +
            "\t\t\t\t\t<span style=\"font-size:16px;\">{0}</span>\n" +
            "\t\t\t\t</p>\n" +
            "\t\t\t\t<p style=\"color:#222;\">\n" +
            "\t\t\t\t\t<span style=\"font-size:16px;\">1. Download </span><a href=\"https://www.pdfreaderpro.com/downloading\" target=\"_blank\"><span style=\"font-size:16px;\">PDF Reader Pro.dmg</span></a><span style=\"font-size:16px;\">; Install and open a PDF file; Click </span><span style=\"color:#3285E3;font-size:16px;\">PDF Reader Pro</span><span style=\"font-size:16px;\"> -&gt; </span><span style=\"color:#3285E3;font-size:16px;\">Enter License</span><span style=\"font-size:16px;\"> at the upper left.</span>\n" +
            "\t\t\t\t</p>\n" +
            "\t\t\t\t<p style=\"font-style:italic;color:#222;\">\n" +
            "\t\t\t\t\t<span style=\"font-size:16px;\">Note: If you can't find \"Enter License\", please download PDF Reader Pro.dmg. Because you don't need to enter license code if you download it from Apple Store.</span>\n" +
            "\t\t\t\t</p>\n" +
            "\t\t\t\t<p style=\"font-style:italic;color:#222;\">\n" +
            "\t\t\t\t\t<br />\n" +
            "\t\t\t\t</p>\n" +
            "\t\t\t</td>\n" +
            "\t\t\t<td align=\"right\">\n" +
            "\t\t\t\t<img src=\" {1}/activation_pic_step1.png\" alt=\"step1-logo\" /> \n" +
            "\t\t\t</td>\n" +
            "\t\t</tr>\n" +
            "\t\t<tr>\n" +
            "\t\t</tr>\n" +
            "\t</tbody>\n" +
            "</table>\n" +
            "<table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"ke-zeroborder\">\n" +
            "\t<tbody>\n" +
            "\t\t<tr>\n" +
            "\t\t\t<td width=\"44%\">\n" +
            "\t\t\t\t<p style=\"color:#222;\">\n" +
            "\t\t\t\t\t<span style=\"font-size:16px;\">2. Enter the license code and click </span><span style=\"color:#3285E3;font-size:16px;\">Continue</span><span style=\"font-size:16px;\"> to activate. Then start your reading experience with PDF Reader Pro.</span>\n" +
            "\t\t\t\t</p>\n" +
            "\t\t\t\t<p style=\"color:#222;\">\n" +
            "\t\t\t\t\t<br />\n" +
            "\t\t\t\t</p>\n" +
            "\t\t\t</td>\n" +
            "\t\t\t<td align=\"right\">\n" +
            "\t\t\t\t<img alt=\"step2-logo\" src=\" {2}/activation_pic_step2.png\" /> \n" +
            "\t\t\t</td>\n" +
            "\t\t</tr>\n" +
            "\t\t<tr>\n" +
            "\t\t</tr>\n" +
            "\t</tbody>\n" +
            "</table>\n";


    String codeInfoTemplate = "<span style=\"font-size:16px;font-weight:bold;color:#0000FF;\">%s（%s）</span> <span style=\"font-size:10pt;\"><br />";
    int MIN_PASSWORD_LENGTH = 6;
    int MAX_PASSWORD_LENGTH = 24;
}
