package cn.kdan.pdf.tech.core.enums;

public enum DomainUsedEnum {

    AVAILABLE("0"),
    USED("1");

    private String code;

    DomainUsedEnum(String code) {
        this.code = code;
    }


    public static DomainUsedEnum getEnumByCode(String code) {
        for (DomainUsedEnum type : DomainUsedEnum.values()) {
            if (type.code().equals(code)) {
                return type;
            }
        }
        return null;
    }

    public String code() {
        return code;
    }
}
