package cn.kdan.pdf.tech.core.enums;

public enum PlatformEnum {
    DMG(0,"DMG"),
    AppleStore(1,"AppleStore"),
    AppleStorePro(2,"AppleStorePro"),
    EXE(3,"EXE"),
    MicrosoftEXE(4,"MicrosoftEXE");

    private Integer code;

    private String value;

    PlatformEnum(Integer code, String value) {
        this.code = code;
        this.value = value;
    }


    public static PlatformEnum getEnumByCode(String value) {
        for (PlatformEnum type : PlatformEnum.values()) {
            if (type.value().equals(value)) {
                return type;
            }
        }
        return DMG;
    }

    public Integer code() {
        return code;
    }

    public String value() {
        return value;
    }
}
