package cn.kdan.pdf.tech.core.mapper.ext;

import cn.kdan.pdf.tech.core.mapper.VppTeamMapper;
import cn.kdan.pdf.tech.core.model.VppTeam;
import cn.kdan.pdf.tech.core.pojo.vo.VppTeamVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExtVppTeamMapper extends VppTeamMapper {

    List<VppTeamVO> getManageTeamList(@Param("companyId") String companyId, @Param("teamId") String teamId, @Param("keyword") String keyword,
                                      @Param("teamIdList") List<String> teamIdList, @Param("manageAdminTeamIdList") List<String> manageAdminTeamIdList);

    List<VppTeam> getByTeamParam(@Param("companyId") String companyId, @Param("teamId") String teamId, @Param("licenseTeamIdList") List<String> licenseTeamIdList, @Param("manageTeamIdList") List<String> manageTeamIdList);
}