package cn.kdan.pdf.tech.core.model;

import java.io.Serializable;
import java.util.Date;

public class LicenseCodes implements Serializable {
    private String id;

    private String memberId;

    private String subscriptionId;

    private String cdkey;

    private Short times;

    private Short usedTimes;

    private Date createdAt;

    private Date updatedAt;

    private Date lastRemindAt;

    private Integer productId;

    private String vppMemberId;

    private String teamId;

    private String companyId;

    private Short type;

    private Date endUpAt;

    /**
     * 状态 0：退单 1：未授权 2：已授权 3：已激活 4：已取消授权 5:已过期
     */
    private Integer validFlag;

    private Date assignedDate;

    private Date activatedDate;

    private Short isVpp;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public LicenseCodes withId(String id) {
        this.setId(id);
        return this;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMemberId() {
        return memberId;
    }

    public LicenseCodes withMemberId(String memberId) {
        this.setMemberId(memberId);
        return this;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getSubscriptionId() {
        return subscriptionId;
    }

    public LicenseCodes withSubscriptionId(String subscriptionId) {
        this.setSubscriptionId(subscriptionId);
        return this;
    }

    public void setSubscriptionId(String subscriptionId) {
        this.subscriptionId = subscriptionId;
    }

    public String getCdkey() {
        return cdkey;
    }

    public LicenseCodes withCdkey(String cdkey) {
        this.setCdkey(cdkey);
        return this;
    }

    public void setCdkey(String cdkey) {
        this.cdkey = cdkey;
    }

    public Short getTimes() {
        return times;
    }

    public LicenseCodes withTimes(Short times) {
        this.setTimes(times);
        return this;
    }

    public void setTimes(Short times) {
        this.times = times;
    }

    public Short getUsedTimes() {
        return usedTimes;
    }

    public LicenseCodes withUsedTimes(Short usedTimes) {
        this.setUsedTimes(usedTimes);
        return this;
    }

    public void setUsedTimes(Short usedTimes) {
        this.usedTimes = usedTimes;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public LicenseCodes withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public LicenseCodes withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Date getLastRemindAt() {
        return lastRemindAt;
    }

    public LicenseCodes withLastRemindAt(Date lastRemindAt) {
        this.setLastRemindAt(lastRemindAt);
        return this;
    }

    public void setLastRemindAt(Date lastRemindAt) {
        this.lastRemindAt = lastRemindAt;
    }

    public Integer getProductId() {
        return productId;
    }

    public LicenseCodes withProductId(Integer productId) {
        this.setProductId(productId);
        return this;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getVppMemberId() {
        return vppMemberId;
    }

    public LicenseCodes withVppMemberId(String vppMemberId) {
        this.setVppMemberId(vppMemberId);
        return this;
    }

    public void setVppMemberId(String vppMemberId) {
        this.vppMemberId = vppMemberId;
    }

    public String getTeamId() {
        return teamId;
    }

    public LicenseCodes withTeamId(String teamId) {
        this.setTeamId(teamId);
        return this;
    }

    public void setTeamId(String teamId) {
        this.teamId = teamId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public LicenseCodes withCompanyId(String companyId) {
        this.setCompanyId(companyId);
        return this;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public Short getType() {
        return type;
    }

    public LicenseCodes withType(Short type) {
        this.setType(type);
        return this;
    }

    public void setType(Short type) {
        this.type = type;
    }

    public Date getEndUpAt() {
        return endUpAt;
    }

    public LicenseCodes withEndUpAt(Date endUpAt) {
        this.setEndUpAt(endUpAt);
        return this;
    }

    public void setEndUpAt(Date endUpAt) {
        this.endUpAt = endUpAt;
    }

    /**
     * 状态 0：退单 1：未授权 2：已授权 3：已激活 4：已取消授权 5:已过期 6:refunded 7：未激活 8：部分激活
     */
    public Integer getValidFlag() {
        return validFlag;
    }

    public LicenseCodes withValidFlag(Integer validFlag) {
        this.setValidFlag(validFlag);
        return this;
    }

    public void setValidFlag(Integer validFlag) {
        this.validFlag = validFlag;
    }

    public Date getAssignedDate() {
        return assignedDate;
    }

    public LicenseCodes withAssignedDate(Date assignedDate) {
        this.setAssignedDate(assignedDate);
        return this;
    }

    public void setAssignedDate(Date assignedDate) {
        this.assignedDate = assignedDate;
    }

    public Date getActivatedDate() {
        return activatedDate;
    }

    public LicenseCodes withActivatedDate(Date activatedDate) {
        this.setActivatedDate(activatedDate);
        return this;
    }

    public void setActivatedDate(Date activatedDate) {
        this.activatedDate = activatedDate;
    }

    public Short getIsVpp() {
        return isVpp;
    }

    public LicenseCodes withIsVpp(Short isVpp) {
        this.setIsVpp(isVpp);
        return this;
    }

    public void setIsVpp(Short isVpp) {
        this.isVpp = isVpp;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LicenseCodes other = (LicenseCodes) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
            && (this.getSubscriptionId() == null ? other.getSubscriptionId() == null : this.getSubscriptionId().equals(other.getSubscriptionId()))
            && (this.getCdkey() == null ? other.getCdkey() == null : this.getCdkey().equals(other.getCdkey()))
            && (this.getTimes() == null ? other.getTimes() == null : this.getTimes().equals(other.getTimes()))
            && (this.getUsedTimes() == null ? other.getUsedTimes() == null : this.getUsedTimes().equals(other.getUsedTimes()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
            && (this.getLastRemindAt() == null ? other.getLastRemindAt() == null : this.getLastRemindAt().equals(other.getLastRemindAt()))
            && (this.getProductId() == null ? other.getProductId() == null : this.getProductId().equals(other.getProductId()))
            && (this.getVppMemberId() == null ? other.getVppMemberId() == null : this.getVppMemberId().equals(other.getVppMemberId()))
            && (this.getTeamId() == null ? other.getTeamId() == null : this.getTeamId().equals(other.getTeamId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getEndUpAt() == null ? other.getEndUpAt() == null : this.getEndUpAt().equals(other.getEndUpAt()))
            && (this.getValidFlag() == null ? other.getValidFlag() == null : this.getValidFlag().equals(other.getValidFlag()))
            && (this.getAssignedDate() == null ? other.getAssignedDate() == null : this.getAssignedDate().equals(other.getAssignedDate()))
            && (this.getActivatedDate() == null ? other.getActivatedDate() == null : this.getActivatedDate().equals(other.getActivatedDate()))
            && (this.getIsVpp() == null ? other.getIsVpp() == null : this.getIsVpp().equals(other.getIsVpp()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getSubscriptionId() == null) ? 0 : getSubscriptionId().hashCode());
        result = prime * result + ((getCdkey() == null) ? 0 : getCdkey().hashCode());
        result = prime * result + ((getTimes() == null) ? 0 : getTimes().hashCode());
        result = prime * result + ((getUsedTimes() == null) ? 0 : getUsedTimes().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getLastRemindAt() == null) ? 0 : getLastRemindAt().hashCode());
        result = prime * result + ((getProductId() == null) ? 0 : getProductId().hashCode());
        result = prime * result + ((getVppMemberId() == null) ? 0 : getVppMemberId().hashCode());
        result = prime * result + ((getTeamId() == null) ? 0 : getTeamId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getEndUpAt() == null) ? 0 : getEndUpAt().hashCode());
        result = prime * result + ((getValidFlag() == null) ? 0 : getValidFlag().hashCode());
        result = prime * result + ((getAssignedDate() == null) ? 0 : getAssignedDate().hashCode());
        result = prime * result + ((getActivatedDate() == null) ? 0 : getActivatedDate().hashCode());
        result = prime * result + ((getIsVpp() == null) ? 0 : getIsVpp().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", memberId=").append(memberId);
        sb.append(", subscriptionId=").append(subscriptionId);
        sb.append(", cdkey=").append(cdkey);
        sb.append(", times=").append(times);
        sb.append(", usedTimes=").append(usedTimes);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", lastRemindAt=").append(lastRemindAt);
        sb.append(", productId=").append(productId);
        sb.append(", vppMemberId=").append(vppMemberId);
        sb.append(", teamId=").append(teamId);
        sb.append(", companyId=").append(companyId);
        sb.append(", type=").append(type);
        sb.append(", endUpAt=").append(endUpAt);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", assignedDate=").append(assignedDate);
        sb.append(", activatedDate=").append(activatedDate);
        sb.append(", isVpp=").append(isVpp);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}