package cn.kdan.pdf.tech.core.model;

import java.io.Serializable;
import java.util.Date;

public class OemLog implements Serializable {
    private String id;

    private String memberId;

    private Date createdAt;

    private Date updatedAt;

    private Integer productId;

    private String companyId;

    private String validFlag;

    private String oemLicenseCodeId;

    private Double oemPrice;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public OemLog withId(String id) {
        this.setId(id);
        return this;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMemberId() {
        return memberId;
    }

    public OemLog withMemberId(String memberId) {
        this.setMemberId(memberId);
        return this;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public OemLog withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public OemLog withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getProductId() {
        return productId;
    }

    public OemLog withProductId(Integer productId) {
        this.setProductId(productId);
        return this;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public OemLog withCompanyId(String companyId) {
        this.setCompanyId(companyId);
        return this;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public OemLog withValidFlag(String validFlag) {
        this.setValidFlag(validFlag);
        return this;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    public String getOemLicenseCodeId() {
        return oemLicenseCodeId;
    }

    public OemLog withOemLicenseCodeId(String oemLicenseCodeId) {
        this.setOemLicenseCodeId(oemLicenseCodeId);
        return this;
    }

    public void setOemLicenseCodeId(String oemLicenseCodeId) {
        this.oemLicenseCodeId = oemLicenseCodeId;
    }

    public Double getOemPrice() {
        return oemPrice;
    }

    public OemLog withOemPrice(Double oemPrice) {
        this.setOemPrice(oemPrice);
        return this;
    }

    public void setOemPrice(Double oemPrice) {
        this.oemPrice = oemPrice;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        OemLog other = (OemLog) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
            && (this.getProductId() == null ? other.getProductId() == null : this.getProductId().equals(other.getProductId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getValidFlag() == null ? other.getValidFlag() == null : this.getValidFlag().equals(other.getValidFlag()))
            && (this.getOemLicenseCodeId() == null ? other.getOemLicenseCodeId() == null : this.getOemLicenseCodeId().equals(other.getOemLicenseCodeId()))
            && (this.getOemPrice() == null ? other.getOemPrice() == null : this.getOemPrice().equals(other.getOemPrice()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getProductId() == null) ? 0 : getProductId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getValidFlag() == null) ? 0 : getValidFlag().hashCode());
        result = prime * result + ((getOemLicenseCodeId() == null) ? 0 : getOemLicenseCodeId().hashCode());
        result = prime * result + ((getOemPrice() == null) ? 0 : getOemPrice().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", memberId=").append(memberId);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", productId=").append(productId);
        sb.append(", companyId=").append(companyId);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", oemLicenseCodeId=").append(oemLicenseCodeId);
        sb.append(", oemPrice=").append(oemPrice);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}