package cn.kdan.pdf.tech.core.model;

import java.io.Serializable;

public class ScheduleSetting implements Serializable {
    private String scheduleSettingId;

    private String type;

    private String day;

    private String month;

    private String time;

    private String timezone;

    private String directoryId;

    private static final long serialVersionUID = 1L;

    public String getScheduleSettingId() {
        return scheduleSettingId;
    }

    public ScheduleSetting withScheduleSettingId(String scheduleSettingId) {
        this.setScheduleSettingId(scheduleSettingId);
        return this;
    }

    public void setScheduleSettingId(String scheduleSettingId) {
        this.scheduleSettingId = scheduleSettingId;
    }

    public String getType() {
        return type;
    }

    public ScheduleSetting withType(String type) {
        this.setType(type);
        return this;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDay() {
        return day;
    }

    public ScheduleSetting withDay(String day) {
        this.setDay(day);
        return this;
    }

    public void setDay(String day) {
        this.day = day;
    }

    public String getMonth() {
        return month;
    }

    public ScheduleSetting withMonth(String month) {
        this.setMonth(month);
        return this;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getTime() {
        return time;
    }

    public ScheduleSetting withTime(String time) {
        this.setTime(time);
        return this;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getTimezone() {
        return timezone;
    }

    public ScheduleSetting withTimezone(String timezone) {
        this.setTimezone(timezone);
        return this;
    }

    public void setTimezone(String timezone) {
        this.timezone = timezone;
    }

    public String getDirectoryId() {
        return directoryId;
    }

    public ScheduleSetting withDirectoryId(String directoryId) {
        this.setDirectoryId(directoryId);
        return this;
    }

    public void setDirectoryId(String directoryId) {
        this.directoryId = directoryId;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ScheduleSetting other = (ScheduleSetting) that;
        return (this.getScheduleSettingId() == null ? other.getScheduleSettingId() == null : this.getScheduleSettingId().equals(other.getScheduleSettingId()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getDay() == null ? other.getDay() == null : this.getDay().equals(other.getDay()))
            && (this.getMonth() == null ? other.getMonth() == null : this.getMonth().equals(other.getMonth()))
            && (this.getTime() == null ? other.getTime() == null : this.getTime().equals(other.getTime()))
            && (this.getTimezone() == null ? other.getTimezone() == null : this.getTimezone().equals(other.getTimezone()))
            && (this.getDirectoryId() == null ? other.getDirectoryId() == null : this.getDirectoryId().equals(other.getDirectoryId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getScheduleSettingId() == null) ? 0 : getScheduleSettingId().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getDay() == null) ? 0 : getDay().hashCode());
        result = prime * result + ((getMonth() == null) ? 0 : getMonth().hashCode());
        result = prime * result + ((getTime() == null) ? 0 : getTime().hashCode());
        result = prime * result + ((getTimezone() == null) ? 0 : getTimezone().hashCode());
        result = prime * result + ((getDirectoryId() == null) ? 0 : getDirectoryId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", scheduleSettingId=").append(scheduleSettingId);
        sb.append(", type=").append(type);
        sb.append(", day=").append(day);
        sb.append(", month=").append(month);
        sb.append(", time=").append(time);
        sb.append(", timezone=").append(timezone);
        sb.append(", directoryId=").append(directoryId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}