package cn.kdan.pdf.tech.core.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class Subscriptions implements Serializable {
    private Object id;

    private Integer productId;

    private Integer status;

    private Double price;

    private Integer buyerType;

    private String cdkey;

    private String email;

    private String phone;

    private String contactName;

    private String companyName;

    private Date startDate;

    private Date endDate;

    private Date createdAt;

    private Date updatedAt;

    private Integer maxDeviceAmount;

    private Double cnyPrice;

    private Object couponId;

    private String cdkeyType;

    private String upgradeCdkey;

    private String forReason;

    private String lastSubId;

    private Integer payment;

    private BigDecimal originalPrice;

    private BigDecimal cnyOriginalPrice;

    private Short isVpp;

    private String vppMemberId;

    private String companyId;

    private static final long serialVersionUID = 1L;

    public Object getId() {
        return id;
    }

    public Subscriptions withId(Object id) {
        this.setId(id);
        return this;
    }

    public void setId(Object id) {
        this.id = id;
    }

    public Integer getProductId() {
        return productId;
    }

    public Subscriptions withProductId(Integer productId) {
        this.setProductId(productId);
        return this;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public Integer getStatus() {
        return status;
    }

    public Subscriptions withStatus(Integer status) {
        this.setStatus(status);
        return this;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Double getPrice() {
        return price;
    }

    public Subscriptions withPrice(Double price) {
        this.setPrice(price);
        return this;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Integer getBuyerType() {
        return buyerType;
    }

    public Subscriptions withBuyerType(Integer buyerType) {
        this.setBuyerType(buyerType);
        return this;
    }

    public void setBuyerType(Integer buyerType) {
        this.buyerType = buyerType;
    }

    public String getCdkey() {
        return cdkey;
    }

    public Subscriptions withCdkey(String cdkey) {
        this.setCdkey(cdkey);
        return this;
    }

    public void setCdkey(String cdkey) {
        this.cdkey = cdkey;
    }

    public String getEmail() {
        return email;
    }

    public Subscriptions withEmail(String email) {
        this.setEmail(email);
        return this;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public Subscriptions withPhone(String phone) {
        this.setPhone(phone);
        return this;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getContactName() {
        return contactName;
    }

    public Subscriptions withContactName(String contactName) {
        this.setContactName(contactName);
        return this;
    }

    public void setContactName(String contactName) {
        this.contactName = contactName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public Subscriptions withCompanyName(String companyName) {
        this.setCompanyName(companyName);
        return this;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public Subscriptions withStartDate(Date startDate) {
        this.setStartDate(startDate);
        return this;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public Subscriptions withEndDate(Date endDate) {
        this.setEndDate(endDate);
        return this;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public Subscriptions withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public Subscriptions withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getMaxDeviceAmount() {
        return maxDeviceAmount;
    }

    public Subscriptions withMaxDeviceAmount(Integer maxDeviceAmount) {
        this.setMaxDeviceAmount(maxDeviceAmount);
        return this;
    }

    public void setMaxDeviceAmount(Integer maxDeviceAmount) {
        this.maxDeviceAmount = maxDeviceAmount;
    }

    public Double getCnyPrice() {
        return cnyPrice;
    }

    public Subscriptions withCnyPrice(Double cnyPrice) {
        this.setCnyPrice(cnyPrice);
        return this;
    }

    public void setCnyPrice(Double cnyPrice) {
        this.cnyPrice = cnyPrice;
    }

    public Object getCouponId() {
        return couponId;
    }

    public Subscriptions withCouponId(Object couponId) {
        this.setCouponId(couponId);
        return this;
    }

    public void setCouponId(Object couponId) {
        this.couponId = couponId;
    }

    public String getCdkeyType() {
        return cdkeyType;
    }

    public Subscriptions withCdkeyType(String cdkeyType) {
        this.setCdkeyType(cdkeyType);
        return this;
    }

    public void setCdkeyType(String cdkeyType) {
        this.cdkeyType = cdkeyType;
    }

    public String getUpgradeCdkey() {
        return upgradeCdkey;
    }

    public Subscriptions withUpgradeCdkey(String upgradeCdkey) {
        this.setUpgradeCdkey(upgradeCdkey);
        return this;
    }

    public void setUpgradeCdkey(String upgradeCdkey) {
        this.upgradeCdkey = upgradeCdkey;
    }

    public String getForReason() {
        return forReason;
    }

    public Subscriptions withForReason(String forReason) {
        this.setForReason(forReason);
        return this;
    }

    public void setForReason(String forReason) {
        this.forReason = forReason;
    }

    public String getLastSubId() {
        return lastSubId;
    }

    public Subscriptions withLastSubId(String lastSubId) {
        this.setLastSubId(lastSubId);
        return this;
    }

    public void setLastSubId(String lastSubId) {
        this.lastSubId = lastSubId;
    }

    public Integer getPayment() {
        return payment;
    }

    public Subscriptions withPayment(Integer payment) {
        this.setPayment(payment);
        return this;
    }

    public void setPayment(Integer payment) {
        this.payment = payment;
    }

    public BigDecimal getOriginalPrice() {
        return originalPrice;
    }

    public Subscriptions withOriginalPrice(BigDecimal originalPrice) {
        this.setOriginalPrice(originalPrice);
        return this;
    }

    public void setOriginalPrice(BigDecimal originalPrice) {
        this.originalPrice = originalPrice;
    }

    public BigDecimal getCnyOriginalPrice() {
        return cnyOriginalPrice;
    }

    public Subscriptions withCnyOriginalPrice(BigDecimal cnyOriginalPrice) {
        this.setCnyOriginalPrice(cnyOriginalPrice);
        return this;
    }

    public void setCnyOriginalPrice(BigDecimal cnyOriginalPrice) {
        this.cnyOriginalPrice = cnyOriginalPrice;
    }

    public Short getIsVpp() {
        return isVpp;
    }

    public Subscriptions withIsVpp(Short isVpp) {
        this.setIsVpp(isVpp);
        return this;
    }

    public void setIsVpp(Short isVpp) {
        this.isVpp = isVpp;
    }

    public String getVppMemberId() {
        return vppMemberId;
    }

    public Subscriptions withVppMemberId(String vppMemberId) {
        this.setVppMemberId(vppMemberId);
        return this;
    }

    public void setVppMemberId(String vppMemberId) {
        this.vppMemberId = vppMemberId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public Subscriptions withCompanyId(String companyId) {
        this.setCompanyId(companyId);
        return this;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Subscriptions other = (Subscriptions) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getProductId() == null ? other.getProductId() == null : this.getProductId().equals(other.getProductId()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
            && (this.getBuyerType() == null ? other.getBuyerType() == null : this.getBuyerType().equals(other.getBuyerType()))
            && (this.getCdkey() == null ? other.getCdkey() == null : this.getCdkey().equals(other.getCdkey()))
            && (this.getEmail() == null ? other.getEmail() == null : this.getEmail().equals(other.getEmail()))
            && (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone()))
            && (this.getContactName() == null ? other.getContactName() == null : this.getContactName().equals(other.getContactName()))
            && (this.getCompanyName() == null ? other.getCompanyName() == null : this.getCompanyName().equals(other.getCompanyName()))
            && (this.getStartDate() == null ? other.getStartDate() == null : this.getStartDate().equals(other.getStartDate()))
            && (this.getEndDate() == null ? other.getEndDate() == null : this.getEndDate().equals(other.getEndDate()))
            && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
            && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
            && (this.getMaxDeviceAmount() == null ? other.getMaxDeviceAmount() == null : this.getMaxDeviceAmount().equals(other.getMaxDeviceAmount()))
            && (this.getCnyPrice() == null ? other.getCnyPrice() == null : this.getCnyPrice().equals(other.getCnyPrice()))
            && (this.getCouponId() == null ? other.getCouponId() == null : this.getCouponId().equals(other.getCouponId()))
            && (this.getCdkeyType() == null ? other.getCdkeyType() == null : this.getCdkeyType().equals(other.getCdkeyType()))
            && (this.getUpgradeCdkey() == null ? other.getUpgradeCdkey() == null : this.getUpgradeCdkey().equals(other.getUpgradeCdkey()))
            && (this.getForReason() == null ? other.getForReason() == null : this.getForReason().equals(other.getForReason()))
            && (this.getLastSubId() == null ? other.getLastSubId() == null : this.getLastSubId().equals(other.getLastSubId()))
            && (this.getPayment() == null ? other.getPayment() == null : this.getPayment().equals(other.getPayment()))
            && (this.getOriginalPrice() == null ? other.getOriginalPrice() == null : this.getOriginalPrice().equals(other.getOriginalPrice()))
            && (this.getCnyOriginalPrice() == null ? other.getCnyOriginalPrice() == null : this.getCnyOriginalPrice().equals(other.getCnyOriginalPrice()))
            && (this.getIsVpp() == null ? other.getIsVpp() == null : this.getIsVpp().equals(other.getIsVpp()))
            && (this.getVppMemberId() == null ? other.getVppMemberId() == null : this.getVppMemberId().equals(other.getVppMemberId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getProductId() == null) ? 0 : getProductId().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getBuyerType() == null) ? 0 : getBuyerType().hashCode());
        result = prime * result + ((getCdkey() == null) ? 0 : getCdkey().hashCode());
        result = prime * result + ((getEmail() == null) ? 0 : getEmail().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getContactName() == null) ? 0 : getContactName().hashCode());
        result = prime * result + ((getCompanyName() == null) ? 0 : getCompanyName().hashCode());
        result = prime * result + ((getStartDate() == null) ? 0 : getStartDate().hashCode());
        result = prime * result + ((getEndDate() == null) ? 0 : getEndDate().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getMaxDeviceAmount() == null) ? 0 : getMaxDeviceAmount().hashCode());
        result = prime * result + ((getCnyPrice() == null) ? 0 : getCnyPrice().hashCode());
        result = prime * result + ((getCouponId() == null) ? 0 : getCouponId().hashCode());
        result = prime * result + ((getCdkeyType() == null) ? 0 : getCdkeyType().hashCode());
        result = prime * result + ((getUpgradeCdkey() == null) ? 0 : getUpgradeCdkey().hashCode());
        result = prime * result + ((getForReason() == null) ? 0 : getForReason().hashCode());
        result = prime * result + ((getLastSubId() == null) ? 0 : getLastSubId().hashCode());
        result = prime * result + ((getPayment() == null) ? 0 : getPayment().hashCode());
        result = prime * result + ((getOriginalPrice() == null) ? 0 : getOriginalPrice().hashCode());
        result = prime * result + ((getCnyOriginalPrice() == null) ? 0 : getCnyOriginalPrice().hashCode());
        result = prime * result + ((getIsVpp() == null) ? 0 : getIsVpp().hashCode());
        result = prime * result + ((getVppMemberId() == null) ? 0 : getVppMemberId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", productId=").append(productId);
        sb.append(", status=").append(status);
        sb.append(", price=").append(price);
        sb.append(", buyerType=").append(buyerType);
        sb.append(", cdkey=").append(cdkey);
        sb.append(", email=").append(email);
        sb.append(", phone=").append(phone);
        sb.append(", contactName=").append(contactName);
        sb.append(", companyName=").append(companyName);
        sb.append(", startDate=").append(startDate);
        sb.append(", endDate=").append(endDate);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", maxDeviceAmount=").append(maxDeviceAmount);
        sb.append(", cnyPrice=").append(cnyPrice);
        sb.append(", couponId=").append(couponId);
        sb.append(", cdkeyType=").append(cdkeyType);
        sb.append(", upgradeCdkey=").append(upgradeCdkey);
        sb.append(", forReason=").append(forReason);
        sb.append(", lastSubId=").append(lastSubId);
        sb.append(", payment=").append(payment);
        sb.append(", originalPrice=").append(originalPrice);
        sb.append(", cnyOriginalPrice=").append(cnyOriginalPrice);
        sb.append(", isVpp=").append(isVpp);
        sb.append(", vppMemberId=").append(vppMemberId);
        sb.append(", companyId=").append(companyId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}