package cn.kdan.pdf.tech.core.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SubscriptionsExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public SubscriptionsExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Object value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Object value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Object value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Object value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Object value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Object value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Object> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Object> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Object value1, Object value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Object value1, Object value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andProductIdIsNull() {
            addCriterion("product_id is null");
            return (Criteria) this;
        }

        public Criteria andProductIdIsNotNull() {
            addCriterion("product_id is not null");
            return (Criteria) this;
        }

        public Criteria andProductIdEqualTo(Integer value) {
            addCriterion("product_id =", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdNotEqualTo(Integer value) {
            addCriterion("product_id <>", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdGreaterThan(Integer value) {
            addCriterion("product_id >", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("product_id >=", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdLessThan(Integer value) {
            addCriterion("product_id <", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdLessThanOrEqualTo(Integer value) {
            addCriterion("product_id <=", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdIn(List<Integer> values) {
            addCriterion("product_id in", values, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdNotIn(List<Integer> values) {
            addCriterion("product_id not in", values, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdBetween(Integer value1, Integer value2) {
            addCriterion("product_id between", value1, value2, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdNotBetween(Integer value1, Integer value2) {
            addCriterion("product_id not between", value1, value2, "productId");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("status is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("status is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Integer value) {
            addCriterion("status =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Integer value) {
            addCriterion("status <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Integer value) {
            addCriterion("status >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("status >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Integer value) {
            addCriterion("status <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Integer value) {
            addCriterion("status <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Integer> values) {
            addCriterion("status in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Integer> values) {
            addCriterion("status not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Integer value1, Integer value2) {
            addCriterion("status between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("status not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andPriceIsNull() {
            addCriterion("price is null");
            return (Criteria) this;
        }

        public Criteria andPriceIsNotNull() {
            addCriterion("price is not null");
            return (Criteria) this;
        }

        public Criteria andPriceEqualTo(Double value) {
            addCriterion("price =", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotEqualTo(Double value) {
            addCriterion("price <>", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceGreaterThan(Double value) {
            addCriterion("price >", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceGreaterThanOrEqualTo(Double value) {
            addCriterion("price >=", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceLessThan(Double value) {
            addCriterion("price <", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceLessThanOrEqualTo(Double value) {
            addCriterion("price <=", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceIn(List<Double> values) {
            addCriterion("price in", values, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotIn(List<Double> values) {
            addCriterion("price not in", values, "price");
            return (Criteria) this;
        }

        public Criteria andPriceBetween(Double value1, Double value2) {
            addCriterion("price between", value1, value2, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotBetween(Double value1, Double value2) {
            addCriterion("price not between", value1, value2, "price");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeIsNull() {
            addCriterion("buyer_type is null");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeIsNotNull() {
            addCriterion("buyer_type is not null");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeEqualTo(Integer value) {
            addCriterion("buyer_type =", value, "buyerType");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeNotEqualTo(Integer value) {
            addCriterion("buyer_type <>", value, "buyerType");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeGreaterThan(Integer value) {
            addCriterion("buyer_type >", value, "buyerType");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("buyer_type >=", value, "buyerType");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeLessThan(Integer value) {
            addCriterion("buyer_type <", value, "buyerType");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeLessThanOrEqualTo(Integer value) {
            addCriterion("buyer_type <=", value, "buyerType");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeIn(List<Integer> values) {
            addCriterion("buyer_type in", values, "buyerType");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeNotIn(List<Integer> values) {
            addCriterion("buyer_type not in", values, "buyerType");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeBetween(Integer value1, Integer value2) {
            addCriterion("buyer_type between", value1, value2, "buyerType");
            return (Criteria) this;
        }

        public Criteria andBuyerTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("buyer_type not between", value1, value2, "buyerType");
            return (Criteria) this;
        }

        public Criteria andCdkeyIsNull() {
            addCriterion("cdkey is null");
            return (Criteria) this;
        }

        public Criteria andCdkeyIsNotNull() {
            addCriterion("cdkey is not null");
            return (Criteria) this;
        }

        public Criteria andCdkeyEqualTo(String value) {
            addCriterion("cdkey =", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyNotEqualTo(String value) {
            addCriterion("cdkey <>", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyGreaterThan(String value) {
            addCriterion("cdkey >", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyGreaterThanOrEqualTo(String value) {
            addCriterion("cdkey >=", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyLessThan(String value) {
            addCriterion("cdkey <", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyLessThanOrEqualTo(String value) {
            addCriterion("cdkey <=", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyLike(String value) {
            addCriterion("cdkey like", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyNotLike(String value) {
            addCriterion("cdkey not like", value, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyIn(List<String> values) {
            addCriterion("cdkey in", values, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyNotIn(List<String> values) {
            addCriterion("cdkey not in", values, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyBetween(String value1, String value2) {
            addCriterion("cdkey between", value1, value2, "cdkey");
            return (Criteria) this;
        }

        public Criteria andCdkeyNotBetween(String value1, String value2) {
            addCriterion("cdkey not between", value1, value2, "cdkey");
            return (Criteria) this;
        }

        public Criteria andEmailIsNull() {
            addCriterion("email is null");
            return (Criteria) this;
        }

        public Criteria andEmailIsNotNull() {
            addCriterion("email is not null");
            return (Criteria) this;
        }

        public Criteria andEmailEqualTo(String value) {
            addCriterion("email =", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotEqualTo(String value) {
            addCriterion("email <>", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThan(String value) {
            addCriterion("email >", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThanOrEqualTo(String value) {
            addCriterion("email >=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThan(String value) {
            addCriterion("email <", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThanOrEqualTo(String value) {
            addCriterion("email <=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLike(String value) {
            addCriterion("email like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotLike(String value) {
            addCriterion("email not like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailIn(List<String> values) {
            addCriterion("email in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotIn(List<String> values) {
            addCriterion("email not in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailBetween(String value1, String value2) {
            addCriterion("email between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotBetween(String value1, String value2) {
            addCriterion("email not between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andPhoneIsNull() {
            addCriterion("phone is null");
            return (Criteria) this;
        }

        public Criteria andPhoneIsNotNull() {
            addCriterion("phone is not null");
            return (Criteria) this;
        }

        public Criteria andPhoneEqualTo(String value) {
            addCriterion("phone =", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotEqualTo(String value) {
            addCriterion("phone <>", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneGreaterThan(String value) {
            addCriterion("phone >", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneGreaterThanOrEqualTo(String value) {
            addCriterion("phone >=", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLessThan(String value) {
            addCriterion("phone <", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLessThanOrEqualTo(String value) {
            addCriterion("phone <=", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLike(String value) {
            addCriterion("phone like", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotLike(String value) {
            addCriterion("phone not like", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneIn(List<String> values) {
            addCriterion("phone in", values, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotIn(List<String> values) {
            addCriterion("phone not in", values, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneBetween(String value1, String value2) {
            addCriterion("phone between", value1, value2, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotBetween(String value1, String value2) {
            addCriterion("phone not between", value1, value2, "phone");
            return (Criteria) this;
        }

        public Criteria andContactNameIsNull() {
            addCriterion("contact_name is null");
            return (Criteria) this;
        }

        public Criteria andContactNameIsNotNull() {
            addCriterion("contact_name is not null");
            return (Criteria) this;
        }

        public Criteria andContactNameEqualTo(String value) {
            addCriterion("contact_name =", value, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameNotEqualTo(String value) {
            addCriterion("contact_name <>", value, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameGreaterThan(String value) {
            addCriterion("contact_name >", value, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameGreaterThanOrEqualTo(String value) {
            addCriterion("contact_name >=", value, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameLessThan(String value) {
            addCriterion("contact_name <", value, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameLessThanOrEqualTo(String value) {
            addCriterion("contact_name <=", value, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameLike(String value) {
            addCriterion("contact_name like", value, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameNotLike(String value) {
            addCriterion("contact_name not like", value, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameIn(List<String> values) {
            addCriterion("contact_name in", values, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameNotIn(List<String> values) {
            addCriterion("contact_name not in", values, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameBetween(String value1, String value2) {
            addCriterion("contact_name between", value1, value2, "contactName");
            return (Criteria) this;
        }

        public Criteria andContactNameNotBetween(String value1, String value2) {
            addCriterion("contact_name not between", value1, value2, "contactName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNull() {
            addCriterion("company_name is null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIsNotNull() {
            addCriterion("company_name is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyNameEqualTo(String value) {
            addCriterion("company_name =", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotEqualTo(String value) {
            addCriterion("company_name <>", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThan(String value) {
            addCriterion("company_name >", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("company_name >=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThan(String value) {
            addCriterion("company_name <", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("company_name <=", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLike(String value) {
            addCriterion("company_name like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotLike(String value) {
            addCriterion("company_name not like", value, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameIn(List<String> values) {
            addCriterion("company_name in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotIn(List<String> values) {
            addCriterion("company_name not in", values, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameBetween(String value1, String value2) {
            addCriterion("company_name between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameNotBetween(String value1, String value2) {
            addCriterion("company_name not between", value1, value2, "companyName");
            return (Criteria) this;
        }

        public Criteria andStartDateIsNull() {
            addCriterion("start_date is null");
            return (Criteria) this;
        }

        public Criteria andStartDateIsNotNull() {
            addCriterion("start_date is not null");
            return (Criteria) this;
        }

        public Criteria andStartDateEqualTo(Date value) {
            addCriterion("start_date =", value, "startDate");
            return (Criteria) this;
        }

        public Criteria andStartDateNotEqualTo(Date value) {
            addCriterion("start_date <>", value, "startDate");
            return (Criteria) this;
        }

        public Criteria andStartDateGreaterThan(Date value) {
            addCriterion("start_date >", value, "startDate");
            return (Criteria) this;
        }

        public Criteria andStartDateGreaterThanOrEqualTo(Date value) {
            addCriterion("start_date >=", value, "startDate");
            return (Criteria) this;
        }

        public Criteria andStartDateLessThan(Date value) {
            addCriterion("start_date <", value, "startDate");
            return (Criteria) this;
        }

        public Criteria andStartDateLessThanOrEqualTo(Date value) {
            addCriterion("start_date <=", value, "startDate");
            return (Criteria) this;
        }

        public Criteria andStartDateIn(List<Date> values) {
            addCriterion("start_date in", values, "startDate");
            return (Criteria) this;
        }

        public Criteria andStartDateNotIn(List<Date> values) {
            addCriterion("start_date not in", values, "startDate");
            return (Criteria) this;
        }

        public Criteria andStartDateBetween(Date value1, Date value2) {
            addCriterion("start_date between", value1, value2, "startDate");
            return (Criteria) this;
        }

        public Criteria andStartDateNotBetween(Date value1, Date value2) {
            addCriterion("start_date not between", value1, value2, "startDate");
            return (Criteria) this;
        }

        public Criteria andEndDateIsNull() {
            addCriterion("end_date is null");
            return (Criteria) this;
        }

        public Criteria andEndDateIsNotNull() {
            addCriterion("end_date is not null");
            return (Criteria) this;
        }

        public Criteria andEndDateEqualTo(Date value) {
            addCriterion("end_date =", value, "endDate");
            return (Criteria) this;
        }

        public Criteria andEndDateNotEqualTo(Date value) {
            addCriterion("end_date <>", value, "endDate");
            return (Criteria) this;
        }

        public Criteria andEndDateGreaterThan(Date value) {
            addCriterion("end_date >", value, "endDate");
            return (Criteria) this;
        }

        public Criteria andEndDateGreaterThanOrEqualTo(Date value) {
            addCriterion("end_date >=", value, "endDate");
            return (Criteria) this;
        }

        public Criteria andEndDateLessThan(Date value) {
            addCriterion("end_date <", value, "endDate");
            return (Criteria) this;
        }

        public Criteria andEndDateLessThanOrEqualTo(Date value) {
            addCriterion("end_date <=", value, "endDate");
            return (Criteria) this;
        }

        public Criteria andEndDateIn(List<Date> values) {
            addCriterion("end_date in", values, "endDate");
            return (Criteria) this;
        }

        public Criteria andEndDateNotIn(List<Date> values) {
            addCriterion("end_date not in", values, "endDate");
            return (Criteria) this;
        }

        public Criteria andEndDateBetween(Date value1, Date value2) {
            addCriterion("end_date between", value1, value2, "endDate");
            return (Criteria) this;
        }

        public Criteria andEndDateNotBetween(Date value1, Date value2) {
            addCriterion("end_date not between", value1, value2, "endDate");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNull() {
            addCriterion("updated_at is null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIsNotNull() {
            addCriterion("updated_at is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtEqualTo(Date value) {
            addCriterion("updated_at =", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotEqualTo(Date value) {
            addCriterion("updated_at <>", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThan(Date value) {
            addCriterion("updated_at >", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("updated_at >=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThan(Date value) {
            addCriterion("updated_at <", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtLessThanOrEqualTo(Date value) {
            addCriterion("updated_at <=", value, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtIn(List<Date> values) {
            addCriterion("updated_at in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotIn(List<Date> values) {
            addCriterion("updated_at not in", values, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtBetween(Date value1, Date value2) {
            addCriterion("updated_at between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andUpdatedAtNotBetween(Date value1, Date value2) {
            addCriterion("updated_at not between", value1, value2, "updatedAt");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountIsNull() {
            addCriterion("max_device_amount is null");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountIsNotNull() {
            addCriterion("max_device_amount is not null");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountEqualTo(Integer value) {
            addCriterion("max_device_amount =", value, "maxDeviceAmount");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountNotEqualTo(Integer value) {
            addCriterion("max_device_amount <>", value, "maxDeviceAmount");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountGreaterThan(Integer value) {
            addCriterion("max_device_amount >", value, "maxDeviceAmount");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountGreaterThanOrEqualTo(Integer value) {
            addCriterion("max_device_amount >=", value, "maxDeviceAmount");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountLessThan(Integer value) {
            addCriterion("max_device_amount <", value, "maxDeviceAmount");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountLessThanOrEqualTo(Integer value) {
            addCriterion("max_device_amount <=", value, "maxDeviceAmount");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountIn(List<Integer> values) {
            addCriterion("max_device_amount in", values, "maxDeviceAmount");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountNotIn(List<Integer> values) {
            addCriterion("max_device_amount not in", values, "maxDeviceAmount");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountBetween(Integer value1, Integer value2) {
            addCriterion("max_device_amount between", value1, value2, "maxDeviceAmount");
            return (Criteria) this;
        }

        public Criteria andMaxDeviceAmountNotBetween(Integer value1, Integer value2) {
            addCriterion("max_device_amount not between", value1, value2, "maxDeviceAmount");
            return (Criteria) this;
        }

        public Criteria andCnyPriceIsNull() {
            addCriterion("cny_price is null");
            return (Criteria) this;
        }

        public Criteria andCnyPriceIsNotNull() {
            addCriterion("cny_price is not null");
            return (Criteria) this;
        }

        public Criteria andCnyPriceEqualTo(Double value) {
            addCriterion("cny_price =", value, "cnyPrice");
            return (Criteria) this;
        }

        public Criteria andCnyPriceNotEqualTo(Double value) {
            addCriterion("cny_price <>", value, "cnyPrice");
            return (Criteria) this;
        }

        public Criteria andCnyPriceGreaterThan(Double value) {
            addCriterion("cny_price >", value, "cnyPrice");
            return (Criteria) this;
        }

        public Criteria andCnyPriceGreaterThanOrEqualTo(Double value) {
            addCriterion("cny_price >=", value, "cnyPrice");
            return (Criteria) this;
        }

        public Criteria andCnyPriceLessThan(Double value) {
            addCriterion("cny_price <", value, "cnyPrice");
            return (Criteria) this;
        }

        public Criteria andCnyPriceLessThanOrEqualTo(Double value) {
            addCriterion("cny_price <=", value, "cnyPrice");
            return (Criteria) this;
        }

        public Criteria andCnyPriceIn(List<Double> values) {
            addCriterion("cny_price in", values, "cnyPrice");
            return (Criteria) this;
        }

        public Criteria andCnyPriceNotIn(List<Double> values) {
            addCriterion("cny_price not in", values, "cnyPrice");
            return (Criteria) this;
        }

        public Criteria andCnyPriceBetween(Double value1, Double value2) {
            addCriterion("cny_price between", value1, value2, "cnyPrice");
            return (Criteria) this;
        }

        public Criteria andCnyPriceNotBetween(Double value1, Double value2) {
            addCriterion("cny_price not between", value1, value2, "cnyPrice");
            return (Criteria) this;
        }

        public Criteria andCouponIdIsNull() {
            addCriterion("coupon_id is null");
            return (Criteria) this;
        }

        public Criteria andCouponIdIsNotNull() {
            addCriterion("coupon_id is not null");
            return (Criteria) this;
        }

        public Criteria andCouponIdEqualTo(Object value) {
            addCriterion("coupon_id =", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdNotEqualTo(Object value) {
            addCriterion("coupon_id <>", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdGreaterThan(Object value) {
            addCriterion("coupon_id >", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdGreaterThanOrEqualTo(Object value) {
            addCriterion("coupon_id >=", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdLessThan(Object value) {
            addCriterion("coupon_id <", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdLessThanOrEqualTo(Object value) {
            addCriterion("coupon_id <=", value, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdIn(List<Object> values) {
            addCriterion("coupon_id in", values, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdNotIn(List<Object> values) {
            addCriterion("coupon_id not in", values, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdBetween(Object value1, Object value2) {
            addCriterion("coupon_id between", value1, value2, "couponId");
            return (Criteria) this;
        }

        public Criteria andCouponIdNotBetween(Object value1, Object value2) {
            addCriterion("coupon_id not between", value1, value2, "couponId");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeIsNull() {
            addCriterion("cdkey_type is null");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeIsNotNull() {
            addCriterion("cdkey_type is not null");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeEqualTo(String value) {
            addCriterion("cdkey_type =", value, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeNotEqualTo(String value) {
            addCriterion("cdkey_type <>", value, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeGreaterThan(String value) {
            addCriterion("cdkey_type >", value, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeGreaterThanOrEqualTo(String value) {
            addCriterion("cdkey_type >=", value, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeLessThan(String value) {
            addCriterion("cdkey_type <", value, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeLessThanOrEqualTo(String value) {
            addCriterion("cdkey_type <=", value, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeLike(String value) {
            addCriterion("cdkey_type like", value, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeNotLike(String value) {
            addCriterion("cdkey_type not like", value, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeIn(List<String> values) {
            addCriterion("cdkey_type in", values, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeNotIn(List<String> values) {
            addCriterion("cdkey_type not in", values, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeBetween(String value1, String value2) {
            addCriterion("cdkey_type between", value1, value2, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeNotBetween(String value1, String value2) {
            addCriterion("cdkey_type not between", value1, value2, "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyIsNull() {
            addCriterion("upgrade_cdkey is null");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyIsNotNull() {
            addCriterion("upgrade_cdkey is not null");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyEqualTo(String value) {
            addCriterion("upgrade_cdkey =", value, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyNotEqualTo(String value) {
            addCriterion("upgrade_cdkey <>", value, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyGreaterThan(String value) {
            addCriterion("upgrade_cdkey >", value, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyGreaterThanOrEqualTo(String value) {
            addCriterion("upgrade_cdkey >=", value, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyLessThan(String value) {
            addCriterion("upgrade_cdkey <", value, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyLessThanOrEqualTo(String value) {
            addCriterion("upgrade_cdkey <=", value, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyLike(String value) {
            addCriterion("upgrade_cdkey like", value, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyNotLike(String value) {
            addCriterion("upgrade_cdkey not like", value, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyIn(List<String> values) {
            addCriterion("upgrade_cdkey in", values, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyNotIn(List<String> values) {
            addCriterion("upgrade_cdkey not in", values, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyBetween(String value1, String value2) {
            addCriterion("upgrade_cdkey between", value1, value2, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyNotBetween(String value1, String value2) {
            addCriterion("upgrade_cdkey not between", value1, value2, "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andForReasonIsNull() {
            addCriterion("for_reason is null");
            return (Criteria) this;
        }

        public Criteria andForReasonIsNotNull() {
            addCriterion("for_reason is not null");
            return (Criteria) this;
        }

        public Criteria andForReasonEqualTo(String value) {
            addCriterion("for_reason =", value, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonNotEqualTo(String value) {
            addCriterion("for_reason <>", value, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonGreaterThan(String value) {
            addCriterion("for_reason >", value, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonGreaterThanOrEqualTo(String value) {
            addCriterion("for_reason >=", value, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonLessThan(String value) {
            addCriterion("for_reason <", value, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonLessThanOrEqualTo(String value) {
            addCriterion("for_reason <=", value, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonLike(String value) {
            addCriterion("for_reason like", value, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonNotLike(String value) {
            addCriterion("for_reason not like", value, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonIn(List<String> values) {
            addCriterion("for_reason in", values, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonNotIn(List<String> values) {
            addCriterion("for_reason not in", values, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonBetween(String value1, String value2) {
            addCriterion("for_reason between", value1, value2, "forReason");
            return (Criteria) this;
        }

        public Criteria andForReasonNotBetween(String value1, String value2) {
            addCriterion("for_reason not between", value1, value2, "forReason");
            return (Criteria) this;
        }

        public Criteria andLastSubIdIsNull() {
            addCriterion("last_sub_id is null");
            return (Criteria) this;
        }

        public Criteria andLastSubIdIsNotNull() {
            addCriterion("last_sub_id is not null");
            return (Criteria) this;
        }

        public Criteria andLastSubIdEqualTo(String value) {
            addCriterion("last_sub_id =", value, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdNotEqualTo(String value) {
            addCriterion("last_sub_id <>", value, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdGreaterThan(String value) {
            addCriterion("last_sub_id >", value, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdGreaterThanOrEqualTo(String value) {
            addCriterion("last_sub_id >=", value, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdLessThan(String value) {
            addCriterion("last_sub_id <", value, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdLessThanOrEqualTo(String value) {
            addCriterion("last_sub_id <=", value, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdLike(String value) {
            addCriterion("last_sub_id like", value, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdNotLike(String value) {
            addCriterion("last_sub_id not like", value, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdIn(List<String> values) {
            addCriterion("last_sub_id in", values, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdNotIn(List<String> values) {
            addCriterion("last_sub_id not in", values, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdBetween(String value1, String value2) {
            addCriterion("last_sub_id between", value1, value2, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andLastSubIdNotBetween(String value1, String value2) {
            addCriterion("last_sub_id not between", value1, value2, "lastSubId");
            return (Criteria) this;
        }

        public Criteria andPaymentIsNull() {
            addCriterion("payment is null");
            return (Criteria) this;
        }

        public Criteria andPaymentIsNotNull() {
            addCriterion("payment is not null");
            return (Criteria) this;
        }

        public Criteria andPaymentEqualTo(Integer value) {
            addCriterion("payment =", value, "payment");
            return (Criteria) this;
        }

        public Criteria andPaymentNotEqualTo(Integer value) {
            addCriterion("payment <>", value, "payment");
            return (Criteria) this;
        }

        public Criteria andPaymentGreaterThan(Integer value) {
            addCriterion("payment >", value, "payment");
            return (Criteria) this;
        }

        public Criteria andPaymentGreaterThanOrEqualTo(Integer value) {
            addCriterion("payment >=", value, "payment");
            return (Criteria) this;
        }

        public Criteria andPaymentLessThan(Integer value) {
            addCriterion("payment <", value, "payment");
            return (Criteria) this;
        }

        public Criteria andPaymentLessThanOrEqualTo(Integer value) {
            addCriterion("payment <=", value, "payment");
            return (Criteria) this;
        }

        public Criteria andPaymentIn(List<Integer> values) {
            addCriterion("payment in", values, "payment");
            return (Criteria) this;
        }

        public Criteria andPaymentNotIn(List<Integer> values) {
            addCriterion("payment not in", values, "payment");
            return (Criteria) this;
        }

        public Criteria andPaymentBetween(Integer value1, Integer value2) {
            addCriterion("payment between", value1, value2, "payment");
            return (Criteria) this;
        }

        public Criteria andPaymentNotBetween(Integer value1, Integer value2) {
            addCriterion("payment not between", value1, value2, "payment");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceIsNull() {
            addCriterion("original_price is null");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceIsNotNull() {
            addCriterion("original_price is not null");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceEqualTo(BigDecimal value) {
            addCriterion("original_price =", value, "originalPrice");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceNotEqualTo(BigDecimal value) {
            addCriterion("original_price <>", value, "originalPrice");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceGreaterThan(BigDecimal value) {
            addCriterion("original_price >", value, "originalPrice");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("original_price >=", value, "originalPrice");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceLessThan(BigDecimal value) {
            addCriterion("original_price <", value, "originalPrice");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("original_price <=", value, "originalPrice");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceIn(List<BigDecimal> values) {
            addCriterion("original_price in", values, "originalPrice");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceNotIn(List<BigDecimal> values) {
            addCriterion("original_price not in", values, "originalPrice");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("original_price between", value1, value2, "originalPrice");
            return (Criteria) this;
        }

        public Criteria andOriginalPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("original_price not between", value1, value2, "originalPrice");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceIsNull() {
            addCriterion("cny_original_price is null");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceIsNotNull() {
            addCriterion("cny_original_price is not null");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceEqualTo(BigDecimal value) {
            addCriterion("cny_original_price =", value, "cnyOriginalPrice");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceNotEqualTo(BigDecimal value) {
            addCriterion("cny_original_price <>", value, "cnyOriginalPrice");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceGreaterThan(BigDecimal value) {
            addCriterion("cny_original_price >", value, "cnyOriginalPrice");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cny_original_price >=", value, "cnyOriginalPrice");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceLessThan(BigDecimal value) {
            addCriterion("cny_original_price <", value, "cnyOriginalPrice");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cny_original_price <=", value, "cnyOriginalPrice");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceIn(List<BigDecimal> values) {
            addCriterion("cny_original_price in", values, "cnyOriginalPrice");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceNotIn(List<BigDecimal> values) {
            addCriterion("cny_original_price not in", values, "cnyOriginalPrice");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cny_original_price between", value1, value2, "cnyOriginalPrice");
            return (Criteria) this;
        }

        public Criteria andCnyOriginalPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cny_original_price not between", value1, value2, "cnyOriginalPrice");
            return (Criteria) this;
        }

        public Criteria andIsVppIsNull() {
            addCriterion("is_vpp is null");
            return (Criteria) this;
        }

        public Criteria andIsVppIsNotNull() {
            addCriterion("is_vpp is not null");
            return (Criteria) this;
        }

        public Criteria andIsVppEqualTo(Short value) {
            addCriterion("is_vpp =", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppNotEqualTo(Short value) {
            addCriterion("is_vpp <>", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppGreaterThan(Short value) {
            addCriterion("is_vpp >", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppGreaterThanOrEqualTo(Short value) {
            addCriterion("is_vpp >=", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppLessThan(Short value) {
            addCriterion("is_vpp <", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppLessThanOrEqualTo(Short value) {
            addCriterion("is_vpp <=", value, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppIn(List<Short> values) {
            addCriterion("is_vpp in", values, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppNotIn(List<Short> values) {
            addCriterion("is_vpp not in", values, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppBetween(Short value1, Short value2) {
            addCriterion("is_vpp between", value1, value2, "isVpp");
            return (Criteria) this;
        }

        public Criteria andIsVppNotBetween(Short value1, Short value2) {
            addCriterion("is_vpp not between", value1, value2, "isVpp");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdIsNull() {
            addCriterion("vpp_member_id is null");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdIsNotNull() {
            addCriterion("vpp_member_id is not null");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdEqualTo(String value) {
            addCriterion("vpp_member_id =", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdNotEqualTo(String value) {
            addCriterion("vpp_member_id <>", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdGreaterThan(String value) {
            addCriterion("vpp_member_id >", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdGreaterThanOrEqualTo(String value) {
            addCriterion("vpp_member_id >=", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdLessThan(String value) {
            addCriterion("vpp_member_id <", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdLessThanOrEqualTo(String value) {
            addCriterion("vpp_member_id <=", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdLike(String value) {
            addCriterion("vpp_member_id like", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdNotLike(String value) {
            addCriterion("vpp_member_id not like", value, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdIn(List<String> values) {
            addCriterion("vpp_member_id in", values, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdNotIn(List<String> values) {
            addCriterion("vpp_member_id not in", values, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdBetween(String value1, String value2) {
            addCriterion("vpp_member_id between", value1, value2, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdNotBetween(String value1, String value2) {
            addCriterion("vpp_member_id not between", value1, value2, "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNull() {
            addCriterion("company_id is null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIsNotNull() {
            addCriterion("company_id is not null");
            return (Criteria) this;
        }

        public Criteria andCompanyIdEqualTo(String value) {
            addCriterion("company_id =", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotEqualTo(String value) {
            addCriterion("company_id <>", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThan(String value) {
            addCriterion("company_id >", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdGreaterThanOrEqualTo(String value) {
            addCriterion("company_id >=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThan(String value) {
            addCriterion("company_id <", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLessThanOrEqualTo(String value) {
            addCriterion("company_id <=", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLike(String value) {
            addCriterion("company_id like", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotLike(String value) {
            addCriterion("company_id not like", value, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdIn(List<String> values) {
            addCriterion("company_id in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotIn(List<String> values) {
            addCriterion("company_id not in", values, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdBetween(String value1, String value2) {
            addCriterion("company_id between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdNotBetween(String value1, String value2) {
            addCriterion("company_id not between", value1, value2, "companyId");
            return (Criteria) this;
        }

        public Criteria andCdkeyLikeInsensitive(String value) {
            addCriterion("upper(cdkey) like", value.toUpperCase(), "cdkey");
            return (Criteria) this;
        }

        public Criteria andEmailLikeInsensitive(String value) {
            addCriterion("upper(email) like", value.toUpperCase(), "email");
            return (Criteria) this;
        }

        public Criteria andPhoneLikeInsensitive(String value) {
            addCriterion("upper(phone) like", value.toUpperCase(), "phone");
            return (Criteria) this;
        }

        public Criteria andContactNameLikeInsensitive(String value) {
            addCriterion("upper(contact_name) like", value.toUpperCase(), "contactName");
            return (Criteria) this;
        }

        public Criteria andCompanyNameLikeInsensitive(String value) {
            addCriterion("upper(company_name) like", value.toUpperCase(), "companyName");
            return (Criteria) this;
        }

        public Criteria andCdkeyTypeLikeInsensitive(String value) {
            addCriterion("upper(cdkey_type) like", value.toUpperCase(), "cdkeyType");
            return (Criteria) this;
        }

        public Criteria andUpgradeCdkeyLikeInsensitive(String value) {
            addCriterion("upper(upgrade_cdkey) like", value.toUpperCase(), "upgradeCdkey");
            return (Criteria) this;
        }

        public Criteria andForReasonLikeInsensitive(String value) {
            addCriterion("upper(for_reason) like", value.toUpperCase(), "forReason");
            return (Criteria) this;
        }

        public Criteria andLastSubIdLikeInsensitive(String value) {
            addCriterion("upper(last_sub_id) like", value.toUpperCase(), "lastSubId");
            return (Criteria) this;
        }

        public Criteria andVppMemberIdLikeInsensitive(String value) {
            addCriterion("upper(vpp_member_id) like", value.toUpperCase(), "vppMemberId");
            return (Criteria) this;
        }

        public Criteria andCompanyIdLikeInsensitive(String value) {
            addCriterion("upper(company_id) like", value.toUpperCase(), "companyId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
