package cn.kdan.pdf.tech.core.params;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DeviceParam {
    @JsonProperty("unique_sn")
    private String uniqueSn;
    @JsonProperty("app_version")
    private String appVersion;
    private String platform;
    private String language;
    @JsonProperty("time_zone")
    private String timeZone;
    private String os;
    private String model;
}
