package cn.kdan.pdf.tech.core.pojo.dto;

import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @desc 添加团队成员请求实体类
 * @author Bob
 */
@Data
public class AddTeamMemberDTO {

    /**
     * 当前成员邮箱
     */
    @NotEmpty(message = "Missing required information")
    private String memberEmail;

    /**
     * 团队成员名
     */
    private String memberName;

    /**
     * 成员所属团队
     */
    @NotEmpty(message = "Missing required information")
    private String teamId;

}
