package cn.kdan.pdf.tech.core.pojo.vo;

import lombok.Data;

/**
 * @author Bob
 */
@Data
public class DashboardOverviewProductVO {

    /**
     * 购买的总license数量
     */
    private Integer totalLicenses;
    /**
     * 可分配license数量
     */
    private Integer availableLicenses;
    /**
     * 已激活设备数量
     */
    private Integer activatedDevices;

    /**
     * 有效期
     */
    private String validPeriod;
    /**
     * 过期时间
     */
    private String expireDate;
    /**
     * 剩余有效时间
     */
    private String timeLeft;

    /**
     * 剩余可激活设备数
     */
    private Integer remainingAvailableDevices;

}
