package cn.kdan.pdf.tech.core.pojo.vo;

import lombok.Data;

/**
 * @author Bob
 */
@Data
public class DashboardOverviewVO {

    /**
     * 购买的总license数量
     */
    private Integer totalLicenses;
    /**
     * 已分配license数量
     */
    private Integer assignedLicenses;
    /**
     * 可分配license数量
     */
    private Integer availableLicenses;
    /**
     * 已激活设备数量
     */
    private Integer activatedDevices;

    /**
     * 可激活设备数
     */
    private Integer availableDevices;
    /**
     * 剩余可激活设备数
     */
    private Integer remainingAvailableDevices;
}
